if (APPVERSION === "web") {
    Views.noopsycheDiagnoseImgView.willShow = function (ct) {
        var diagnoseInfo = Util.data('cache.diagnoseInfo');
        if (diagnoseInfo.sex === "MALE") {
            diagnoseInfo.imgSrc = this.options.img["man-front"];
            diagnoseInfo.imgSrc2 = this.options.img["man-contrary"];
        } else {
            diagnoseInfo.imgSrc = this.options.img["woman-front"];
            diagnoseInfo.imgSrc2 = this.options.img["woman-contrary"];
        }
        diagnoseInfo.mobile_system = 'web';
        this.render(ct, diagnoseInfo);
    };
    Views.newsCommentView.commentRender = function (isAppend) {
        var self = this;
        Widget.popupLoading('正在获取');
        setTimeout(function () {
            Widget.popupLoadingClose();
            for (var i = 0, l = TestSuit.newsComments.length; i < l; i++) {
                TestSuit.newsComments[i].commentTimeStr = DateUtil.formatWithPatternDate('yyyy-mm-dd HH:ii', new Date(TestSuit.newsComments[i].addTime));
            }
            self.deployCommentAsHtml("json", {memberPicUrlPrefix: MEMBER_ICON_URL, newsComments: TestSuit.newsComments}, isAppend);
        }, 500);
    }

    Views.chronicVitalSignsTrendView.willShow = function (ct) {
        this.chartCanvas = null;
        this.render(ct, {
            member: Util.data('current.member'),
            memberImgURL: MEMBER_ICON_URL,
            canvasW: wndw.width() - 70,
            canvasH: wndw.height() - 130
        });
        this.testShowTrendView();
        this.viewScrollerInit($('#horizontalScroll'), {
            bounce: false,
            snap: true,
            momentum: false,
            hScrollbar: false,
            onScrollEnd: function (e) {
                Views.isAnyViewScrolling = false;
                document.querySelector('#indicator span.active').className = '';
                document.querySelector('#indicator span:nth-child(' + (this.currPageX + 1) + ')').className = 'active';
            }
        });
    };

    Views.chronicVitalSignsTrendView.bindCanvasClick = function (vslist, points) {
        $('#bpTrendChart').off('click');
        if (points.length > 24) {
            return;
        }
        var selVS = null, selPoint = null;
        $('#bpTrendChart').on('click', function (event) {
            var x = event.offsetX, y = event.offsetY, i = 0, minIndex, minJuli = 1000 , juli;
            for (i in points) {
                juli = Math.sqrt((points[i].x - x) * (points[i].x - x) + (points[i].y - y) * (points[i].y - y));
                if (juli < minJuli) {
                    minJuli = juli;
                    minIndex = i;
                }
            }
            if (minJuli === 1000 || minJuli > 18) {
                //清理弹出框
                $('.bpTrend-alert').remove();
                selVS = null;
                selPoint = null;
                return;
            }
            //找到了最小距离点
            //先判断是否已经弹出
            if (selPoint && $('.bpTrend-alert').length > 0/*是否有弹出框*/) {
                if (selPoint.x === points[minIndex].x && selPoint.y === points[minIndex].y) {
                    return;
                } else {
                    //清理弹出框
                    $('.bpTrend-alert').remove();
                    selVS = null;
                    selPoint = null;
                }
            }
            selVS = vslist[minIndex];
            selPoint = points[minIndex];
            var w, h, top, left, valign, halign;
            w = event.target.width;
            h = event.target.height;
            if (selPoint.y > h / 2) {
                valign = 'v-top';
                top = selPoint.y - 53;
            }
            if (selPoint.y <= h / 2) {
                valign = 'v-bottom';
                top = selPoint.y + 30;
            }
            if (selPoint.x < w * 0.2) {
                halign = 'h-left';
                left = selPoint.x + 30;
            }
            if (selPoint.x > w * 0.8) {
                halign = 'h-right';
                left = selPoint.x - 110;
            }
            if (selPoint.x >= w * 0.2 && selPoint.x <= w * 0.8) {
                halign = 'h-center';
                left = selPoint.x - 35;
            }
            $('#canvas').append(Views.tmpl.chronicVitalSignTrendAlertView({
                vs: selVS,
                top: top,
                left: left,
                valign: valign,
                halign: halign
            }));
        });
    };

    Views.loginView.loginAjax = function (account, pwd, isDeamon) {
        if (!isDeamon) {
            Widget.popupLoading('正在登录');
        }
        setTimeout(function () {
            if (!isDeamon) {
                Widget.popupLoadingClose();
            }
            TestSuit.loginAjax({mobileNo: account, password: pwd});
            if (isDeamon) {
                return;
            }
            Util.data("account", account);
            Util.data("pwd", pwd);
            //跳转至首页
            var accounts = Util.data("login.account");
            if (!accounts) accounts = [];
            if (!isAccountExsit(account)) {
                accounts.unshift(account);
                Util.data("login.account", accounts);
            }
            StageManager.pushView(Views.mainView);
        }, 500);
    };

    $.extend(Callback, {"closeTrend": function () {
        StageManager.layout.popStackView();
    }});

    $.extend(Callback, {"bpTrendDateSel": function (btnId) {
        var btn = $('#' + btnId), time = btn.attr('data-rel'), timeStr = btn.html();
        $('.time-table .ui-btn').removeClass('active');
        btn.addClass('active');
        {
            //清理弹出框
            $('.bpTrend-alert').remove();
            selVS = null;
            selPoint = null;
        }
        Views.chronicVitalSignsTrendView.bpTrendSelTime(timeStr);
    }});

    $.extend(Callback, {"showNewsDetailView": function (btnId) {
        var btn = $("#" + btnId), stageView = Util.data('newsStageView'), imgUrl;
        if (stageView === 'babyHealthCareView') {
            Util.data(Views.babyHealthCareView.indexAlias, 18);
        }
        if (stageView === 'maternalHealthCareView') {
            Util.data(Views.maternalHealthCareView.indexAlias, 5);
        } else {
            Util.data('index.mainView', 2);
        }
        if (btn.attr('src')) {
            imgUrl = btn.attr('src');
        } else {
            imgUrl = btn.find('img').attr('src');
        }
        if (imgUrl.indexOf('defaultNewsPic') > -1) {
            imgUrl = '';
        }
        Util.data('news.detail.imgUrl', imgUrl);

        Widget.popupLoading('正在获取');
        setTimeout(function () {
            Widget.popupLoadingClose();
            TestSuit.detailNews.publishTime = DateUtil.formatWithPatternDate('yyyy-mm-dd HH:ii', new Date(TestSuit.detailNews.addTime));
            for (var i = 0, l = TestSuit.newsLatestComments.length; i < l; i++) {
                TestSuit.newsLatestComments[i].commentTimeStr = DateUtil.formatWithPatternDate('yyyy-mm-dd HH:ii', new Date(TestSuit.newsComments[i].addTime));
            }
            Views.newsDetailView.show({
                newsDetail: TestSuit.detailNews,
                newsCommentsData: {
                    type: 'json',
                    content: TestSuit.newsLatestComments
                }});
        }, 500);
    }});

    $.extend(DataExchange, {
        timeout: function (callback) {
            return setTimeout(callback, 0);
        },
        json: function (data) {
            return {
                data: data,
                success: true
            };
        },
        analogAjax: function (json) {
            var dfd = $.Deferred();
            this.timeout(function () {
                dfd.resolve(json);
            });
            return dfd.promise();
        },
        getExpectConfinementDate: function (options) {
            return this.analogAjax(TestSuit.getExpectConfinementDate);
        },
        addExpectConfinementDate: function (options) {
            return this.analogAjax(TestSuit.addExpectConfinementDate);
        },
        getWeekSituations: function (options) {
            return this.analogAjax({
                data: [TestSuit.pregnantWeekContent],
                success: true
            });
        },
        getMonthSituations: function (options) {
            return this.analogAjax({
                data: TestSuit.pregnantMonthContent,
                success: true
            });
        },
        getCheckTimeMaternal: function (options) {
            return this.analogAjax(TestSuit.pregnantCheckTime);
        },
        //----------maternal end

        getImmunizationTime: function (options) {
            return this.analogAjax({
                data: TestSuit.immunizationData,
                success: true
            });
        },
        getImmunizationTimeDetail: function (options) {
            return this.analogAjax(TestSuit.pregnantCheckTime);
        },
        upVaccineTime: function (options) {
            return this.analogAjax({success: true});
        },
        getVitalSignRecords: function (options) {
            return this.analogAjax(this.json(TestSuit.vitalSignRecords));
        },
        delVitalSignRecords: function (options) {
            return this.analogAjax(this.json(TestSuit.vitalSignRecords));
        },
        addVitalSignRecords: function (options) {
            return this.analogAjax({success: true});
        },
        updVitalSignRecords: function (options) {
            return this.analogAjax({success: true});
        },
        getChildVanccinations: function (options) {
            return this.analogAjax(this.json(TestSuit.vanccinations));
        },
        getVitalSignsItem: function (options) {
            if (options.itemId == 'E10012') {
                return this.analogAjax(this.json(TestSuit.getVitalSignItem10014));
            }
            if (options.itemId == 'E10011') {
                return this.analogAjax(this.json(TestSuit.getVitalSignItem10013));
            }
        },
        //-----------------------baby end
        getNewVersion: function (options) {
            return this.analogAjax(this.json({
                content: ""
            }));
        },
        chronicDiseaseManage: function (options) {
            return this.analogAjax(this.json(TestSuit.deviceUseInfos));
        },
        getDeviceDetail: function (options) {
            return this.analogAjax(this.json(TestSuit.deviceDetail));
        },
        bindDevice: function (options) {
            TestSuit.deviceUseInfos.push({"deviceResource": {"createTime": 1383211129000,
                "deviceFeature": "COMMON",
                "deviceModel": {"id": 1},
                "devicePwd": "123456",
                "deviceStatus": "USING",
                "functions": "BLOOD_PRESSURE,HEART_PULSE",
                "functionsCN": "血压,脉搏",
                "id": 2,
                "introduction": "血压计类型:上臂式\r\n显示方式:LED液晶数字显示\r\n测量范围:压力：20-280mmHg（2.27-387kPa）\r\n加压方式:自动加压\r\n排气方式:自动减压排气\r\n精度:静态压力：±3mmHg（±0.4kPa）\r\n适合臂周包包袋，说明书，合格证，保证卡，臂带\r\n功能参数:\r\n其他功能:记忆功能为90组数字\r\n超大屏幕数据显示，高压、低压以及脉搏\r\n静音操作\r\n",
                "manufacture": "北京会好生物科技有限公司",
                "name": "会好臂式数字式电子血压计",
                "shortName": "3G血压计",
                "sn": sn,
                "spec": "ME150f",
                "unit": "台",
                "validFlag": "ENABLE"},
                "family": {"id": 13167},
                "id": 111,
                "memberRelation": [],
                "relationType": "DEVICE_USE",
                "sn": sn,
                "startTime": 1402478221000,
                "useType": "FAMILY_USE",
                "validFlag": "ENABLE"});
            return this.analogAjax(this.json(TestSuit.deviceUseInfos));
        },
        getAddMedCardCode: function (options) {
            return this.analogAjax(this.json());
        },
        addMedCard: function (options) {
            return this.analogAjax(this.json());
        },
        upMedCard: function (options) {
            return this.analogAjax(this.json());
        },
        upSetting: function (options) {
            return this.analogAjax(this.json());
        },
        getSetting: function (options) {
            return this.analogAjax(TestSuit.getSetting);
        },
        addFeedback: function (options) {
            return this.analogAjax(this.json());
        },
        delHealthConsult: function (options) {
            return this.analogAjax(this.json());
        },
        delHealthNews: function (options) {
            return this.analogAjax(this.json());
        },
        healthNewsItem: function (options) {
            return this.analogAjax(this.json(TestSuit.getNews));
        },
        healthNewsCatalogs: function (options) {
            return this.analogAjax(this.json(TestSuit.healthNewsCatalogs));
        },
        healthConsult: function (options) {
            return this.analogAjax(this.json(TestSuit.getHealthConsult));
        },
        getMedCardDet: function (options) {
            return this.analogAjax(this.json(TestSuit.getMedCardDetail));
        },
        delMember: function (options) {
            return this.analogAjax(this.json());
        },
        addMember: function (options) {
            return this.analogAjax(this.json());
        },
        updateMember: function (options) {
            return this.analogAjax(this.json());
        },
        getMedCard: function (options) {
            return this.analogAjax(this.json(TestSuit.getAllMemberCard));
        },
        delMedCard: function (options) {
            return this.analogAjax(this.json());
        },
        resetAccountPwd: function (options) {
            return this.analogAjax(this.json());
        },
        getResetCode: function (options) {
            return this.analogAjax(this.json());
        },
        saveAnswers: function (options) {
            return this.analogAjax(this.json());
        },
        addDeviceDetail: function (options) {
            return this.analogAjax(this.json());
        },
        sendSafeQuestions: function (options) {
            return this.analogAjax(TestSuit.questionList);
        },

        //---------------------center end
        addTreatEvaluateSurvey: function (options) {
            return this.analogAjax(this.json());
        },
        getTreatEvaluateSurvey: function (options) {
            return this.analogAjax(TestSuit.getTreatEvaluateSurvey);
        },
        getDeptClass: function (options) {
            return this.analogAjax([this.json(TestSuit.getDeptClass)]);
        },
        getDeptInfo: function (options) {
            return this.analogAjax([this.json(TestSuit.getDeptInfo)]);
        },
        getDocInfo: function (options) {
            return this.analogAjax([this.json(TestSuit.getDocInfo)]);
        },
        getDocClass: function (options) {
            return this.analogAjax([this.json(TestSuit.getDeptClass)]);
        },
        getDocList: function (options) {
            return this.analogAjax(this.json(TestSuit.getDeptDocList));
        },
        reg: function (options) {
            return this.analogAjax(this.json());
        },
        getRecipeList: function (options) {
            return this.analogAjax(this.json(TestSuit.healthExaminationRecipeList));
        },
        getRecipeDetail: function (options) {
            return this.analogAjax(this.json(TestSuit.getRecipesDetail));
        },
        getFeeRecord: function (options) {
            return this.analogAjax(this.json(TestSuit.healthExaminationFeeList));
        },
        getMedialTreatRecordDetail: function (options) {
            return this.analogAjax(this.json(TestSuit.medicalTreatDetail));
        },

        getFeeDetail: function (options) {
            return this.analogAjax(this.json(TestSuit.getFeeDetail));
        },
        getMedicalTreatRecords: function (options) {
            return this.analogAjax(this.json(TestSuit.medicalTreatList));
        },
        getOrgRecord: function (options) {
            var page = StageManager.getCurrentView(), data = TestSuit.healthExaminationOrgRecordList;
            page.cacheData[data.monthName] = data;
            return this.analogAjax(this.json([data]));
        },
        //---------------med-service end
        getConsultLatestQuestions: function (options) {
            return this.analogAjax(this.json(TestSuit.consultLatestQuestions));
        },
        getConsultMyQuestions: function (options) {
            return this.analogAjax(this.json(TestSuit.consultMyQuestions));
        },
        getConsultConversation: function (options) {
            return this.analogAjax(this.json(TestSuit.consultConversation));
        },
        consultConversationTextSubmit: function (options) {
            return this.analogAjax(this.json(10000));
        },
        endConsultQuiz: function (options) {
            return this.analogAjax(this.json());
        },
        addCollectConsultQuiz: function (options) {
            return this.analogAjax(this.json());
        },
        removeCollectConsultQuiz: function (options) {
            return this.analogAjax(this.json());
        },
        getConsultSorts: function (options) {
            return this.analogAjax(this.json(TestSuit.consultSorts));
        },
        consultQuizSubmit: function (options) {
            return this.analogAjax(this.json());
        },
        removeChronicVitalSign: function (options) {
            return this.analogAjax(this.json());
        },
        getChronicVitalSigns: function (options) {
            return this.analogAjax(this.json(TestSuit.vitalSigns));
        },
        chronicRiskAssessSubmit: function (options) {
            return this.analogAjax(this.json(TestSuit.riskAssessResult));
        },
        addChronicVitalSign: function (options) {
            return this.analogAjax(this.json());
        },
        getChronicRevisit: function (options) {
            return this.analogAjax(this.json(TestSuit.revisit));
        },
        getChronicRiskAssess: function (options) {
            return this.analogAjax(this.json(TestSuit.riskAssessDetail));
        },
        getChronicRiskAssessDates: function (options) {
            return this.analogAjax(this.json(TestSuit.riskHistoryDates));
        },
        getHealthExaminationCheck: function (options) {
            return this.analogAjax(this.json(TestSuit.healthExaminationCheckList));
        },
        getHealthExaminationTest: function (options) {
            return this.analogAjax(this.json(TestSuit.healthExaminationTestList));
        },
        getHealthExaminationCheckDetail: function (options) {
            return this.analogAjax(this.json(TestSuit.healthExaminationCheckDetail));
        },
        getHealthExaminationTestDetail: function (options) {
            return this.analogAjax(this.json(TestSuit.healthExaminationTestDetail));
        },
        getHealthNewsCategories: function (options) {
            return this.analogAjax(this.json(TestSuit.newsCategories));
        },
        getHealthNews: function (options) {
            return this.analogAjax(this.json(TestSuit.news));
        },
        addHealthNewsComment: function (options) {
            return this.analogAjax(this.json());
        },
        removeHealthNewsCollect: function (options) {
            return this.analogAjax(this.json());
        },
        addHealthNewsCollect: function (options) {
            return this.analogAjax(this.json());
        },
        getSecurityQuestions: function (options) {
            return this.analogAjax(this.json(TestSuit.securityQuestionList));
        },
        resetUserAccount: function (options) {
            return this.analogAjax(this.json());
        },
        resetAccount: function (options) {
            return this.analogAjax(this.json());
        },
        getForgetPwdSecuritycode: function (options) {
            return this.analogAjax(this.json());
        },
        getRegisterSecuritycode: function (options) {
            return this.analogAjax(this.json());
        },
        registerSubmit: function (options) {
            return this.analogAjax(this.json({
                id: 10000,
                familyId: 10000,
                code: '111',
                nickname: '陈光标',
                email: 'cgb@gamil.com',
                sourceId: 10000,
                mobileNo: "18667349535",
                patients: [
                    {"accountId": 11604, "address": "", "age": 0, "birthday": "2014-05-06",
                        "familyMember": true, "hospitalId": -1, "id": 2381, "idCard": "330411198905215238",
                        "medicalCardId": 0, "medicalCardValid": false, "memberId": 14415,
                        "mobileNo": "18667349535", "monthAge": 0, "name": "bblbbl", "newsNum": 0,
                        "sex": "MALE"}
                ]
            }));
        },

        //健康工具
        getYgzcResult: function (options) {
            return this.analogAjax(this.json(TestSuit.ygzcResult.data));
        },
        getPredictedBabyBloodType: function (options) {
            var json = {possibleBlood: TestSuit.xxzcResult.possibleBlood, impossibleBlood: TestSuit.xxzcResult.impossibleBlood}
            return this.analogAjax(this.json(json));
        },
        addTcmPhysicalTest: function (options) {
            return this.analogAjax(this.json());
        },
        getTcmPhysicalTestHistory: function (options) {
            return this.analogAjax(this.json(TestSuit.tcmPhysicalTestHistory));
        },
        getCheckTestItems: function (options) {
            return this.analogAjax(this.json(TestSuit.checkTestSummaryItems));
        },
        getCheckTestItemsByName: function (options) {
            return this.analogAjax(this.json(TestSuit.checkTestSummaryItems));
        },
        getCheckTestDetailItem: function (options) {
            return this.analogAjax(this.json(TestSuit.checkTestDetailItem));
        },
        //家庭医生
        getCommunityDoctors: function (options) {
            return this.analogAjax(this.json(TestSuit.communityDoctors));
        },
        getDoctorTeams: function (options) {
            return this.analogAjax(this.json(TestSuit.doctorTeams));
        },
        getOrgDetail: function (options) {
            return this.analogAjax(TestSuit.orgDetail);
        }
    });

}
