var payFlatformChecked = function () {
    if (Util.data("cache.selectedPayWay")) {
        Util.log(Util.data("cache.selectedPayWay"));
        var checkedBtn = Util.data("cache.selectedPayWay");
        var btn = $("#" + checkedBtn);
        btn.siblings().removeClass('selected');
        btn.addClass('selected');

    }
}

Callback.selectOnlyOnePayPlatform = function (btnId) {
    // 这个方法没用，已经不调用了。正在使用的是：selectPayPattern
    var btn = $("#" + btnId);
    btn.siblings().removeClass('selected');
    btn.addClass('selected');
    Util.data("cache.selectedPayWay", btnId);

}

Callback.toRecharge = function () {
    Util.log('**********function -----------> toRecharge******************');
    if ('alipayPage' == Util.data("cache.selectedPayWay")) {
        alipayWebPagePlatform();
    } else if ('alipayQuick' == Util.data("cache.selectedPayWay")) {
        Widget.popupLoading('正在跳转至支付宝客户端...');
        if (mobile_system == "android") {
            androidAlipayFast();
        } else {
           iosAlipayFast();
            //androidAlipayFast();
        }
    } else if ('unionpayUPMP' == Util.data("cache.selectedPayWay")) {
        Widget.popupLoading('正在跳转至银联支付...');
        if (mobile_system == "android") {
            androidUnionPay();
        } else {
            iosUnionPay();
        }
    } else if ('wxpay' == Util.data("cache.selectedPayWay")) {
        Widget.popupLoading('正在跳转至微信支付...');
        if (mobile_system == "android") {
             androidWXPay();
        } else {
             iosWXPay();
        }
    } else {
        Util.alert("请选择支付方式");
    }
}

var callbackName;
Views.selectPayWayView = $.extend({}, Views.PanelView, {
    options: {
        pageName: 'selectPayWayView',
        tmpl: 'selectPayWayView',
        name: '支付选择页面'
    },
    willShow: function (ct) {
        var flag;
        Util.data('cache.tradeFee', 0);
        var jsonData = Util.data("cache.selectPayViewData");
        if (jsonData) {
            var tradeNo = jsonData.trade_no;
            var partnerSign = jsonData.partner_sign;
            callbackName = jsonData.callback_method;
            Util.data('cache.partnerSign', partnerSign);
            Util.data('cache.tradeNo', tradeNo);
        }
        Util.log("partnerSign=" + partnerSign);
        Util.log("tradeNo=" + tradeNo);
        $.ajax({
            async: false,
            type: 'POST',
            url: PAYMENT_QUERY_URL,
            data: {
                partner_sign: Util.data('cache.partnerSign'),
                trade_no: Util.data('cache.tradeNo'),
                pay_platform: ''
            },
            timeout: 10000,
            dataType: 'json'
        }).done(function (json, textStatus, jqXHR) {
            flag = true;
            Util.data('cache.tradeFee', json.trade_fee);
        }).fail(function (jqXHR, textStatus, errorThrown) {
            flag = false;
            Widget.popupLoadingClose();
            Util.alert(Views.errorMsg.NETWORK_ERROR);
        });
        if (flag == true) {
            this.render(ct, {
                money: Util.data('cache.tradeFee')
            });
        } else {
            return;
        }
        payFlatformChecked();

    }
});

//自动后退
function paymentAutoback() {
    Util.log("**********function------------> paymentAutoback****************************");
    //查询状态接口
    $.ajax({
        type: 'POST',
        url: WAP_QUERY_RESULT_URL,
        data: {
            tradeNo: Util.data('cache.tradeNo')
        },
        dataType: 'json'
    }).done(function (json, textStatus, jqXHR) {
        Widget.popupLoadingClose();
        // json.success为true表示支付成功；false为支付失败.
        if(json.success){
            // consultDetailView在之前prepareForPay方法中已经准备好数据
            StageManager.pushView(Views.consultDetailView);
        }
        else{
            Callback.pageBack();
        }
    }).fail(function (failData) {
        Util.alert(Views.errorMsg.NETWORK_ERROR);
        Callback.pageBack();
    })
}

//开始为支付做数据准备
function prepareForPay(btnId, ajaxDoneHandler) {
    var $btn = $('#'+btnId);
    var options = {
        patientId: UserProfile.id,
        doctorId: $btn.attr('dr-id'),
        type: $btn.attr('type'),
        amountDue: $('#h-due').text(),
        amountPaid: $('#h-paid').text(),
        couponId: $('#coupon-btn').attr('coupon-id')
    };
    if(options.type == 'P'){
        options.phoneTimeId = $btn.attr('phone-time-id');
        options.phoneDate = $btn.attr('phone-date');
        options.timePeriod = $btn.attr('time-period');
    }
    var ajaxFailureHandler = function (jqXHR, textStatus, errorThrown) {
		Widget.popupLoadingClose();
        $btn.addClass('ui-btn');
    };

    if(options.type == 'W' || options.type == 'M'){
        $.ajax({
            type: 'POST',
            url: PRIVATE_PAYMENT_REQUEST_BEFORE,
            data: options,
            timeout: 10000
        }).done(ajaxDoneHandler).fail(ajaxFailureHandler);
    }
    else if(options.type == 'T' || options.type == 'P'){
        $.ajax({
            type: 'POST',
            url: SINGLE_PAYMENT_REQUEST_BEFORE,
            data: options,
            timeout: 10000
        }).done(ajaxDoneHandler).fail(ajaxFailureHandler);
    }
};

//购买后为咨询详情页准备数据
function afterPayPrepareForConsultDetail (json) {
    var toView = Views.consultDetailView,
        data = json.data;
    toView.prepareData = {
        sessionId: data.sessionId,
        doctorId: data.doctorId,
        familyDoctorRelId: data.refId,
        serviceType: data.serviceType,
        isFromPay: true
    };
	Util.data('consultDetailView.prepareData',toView.prepareData);
    Util.data('cache.tradeNo', data.tradeNo);
};
//0元支付渠道
function zeroPay(btnId) {
    // 如果支付金额小于等于0，不访问支付宝，直接显示支付成功页面
    var ajaxDoneHandler = function (json) {
        if(json.success){
            Widget.popupLoadingClose();
            afterPayPrepareForConsultDetail(json);
            enterRealPayProcedure();
        }
        else{
            Widget.popupLoadingClose();
            $('#'+btnId).addClass('ui-btn');
            Widget.popupToast('发起支付失败，请稍候重试');
        }
    };
    //此方法真正开始支付流程
    var enterRealPayProcedure = function () {
        Util.log('1.开始进入模拟支付流程');
        $.ajax({
            type: 'POST',
            url: PAYMENT_REQUEST_PAY_URL,
            data: {
                tradeNo: Util.data('cache.tradeNo'),
                payPlatform: ''// 无支付平台
            },
            timeout: 10000
        }).done(function (json, textStatus, jqXHR) {
            console.log(json);
            Util.log('2.已从支付后台获取返回html');
            Util.data("cache.payResultFlag", 'success');
            StageManager.pushView(Views.rechargeResultView);
        }).fail(function (jqXHR, textStatus, errorThrown) {
            Widget.popupLoadingClose();
            Util.alert(Views.errorMsg.NETWORK_ERROR);
        });
    };

    prepareForPay(btnId, ajaxDoneHandler);
};

//支付宝网页支付
function alipayWebPagePlatform(btnId) {// zhicallserialize,
    // 此方法为开始真正支付前的数据准备
    var ajaxDoneHandler = function (json) {
        if(json.success){
            var toView = Views.consultDetailView,
                data = json.data;
            toView.prepareData = {
                sessionId: data.sessionId,
                doctorId: data.doctorId,
                familyDoctorRelId: data.refId,
                serviceType: data.serviceType,
                isFromPay: true
            };
			Util.data('consultDetailView.prepareData',toView.prepareData);
            Util.data('cache.tradeNo', data.tradeNo);
            enterRealPayProcedure();
        }
        else{
            $('#'+btnId).addClass('ui-btn');
            Widget.popupToast('发起支付失败，请稍候重试');
        }
    };
    //此方法真正开始支付流程
    var enterRealPayProcedure = function () {
        Util.log('1.开始进入支付宝网页支付平台系统流程');
        Widget.popupLoading('正在跳转至支付宝...');
        $.ajax({
            type: 'POST',
            url: PAYMENT_REQUEST_PAY_URL,
            data: {
                tradeNo: Util.data('cache.tradeNo'),
                payPlatform: '1002'// 1002支付宝网页支付
            },
            timeout: 10000
        }).done(function (json, textStatus, jqXHR) {
            console.log(json);
            Util.log('2.已从支付后台获取返回html');
            Util.data("cache.payflatformchecked", "alipayPage");
            Util.data('cache.tradeFee', json.trade_fee);
            Util.data("cache.alipayRespHTML",json.data);
            StageManager.pushView(Views.alipayWapView);
        }).fail(function (jqXHR, textStatus, errorThrown) {
            Widget.popupLoadingClose();
            Util.alert(Views.errorMsg.NETWORK_ERROR);
        });
    };
    prepareForPay(btnId, ajaxDoneHandler);
}


//  显示嵌入支付宝网页支付的页面，只是框架，页面是支付宝提供
Views.alipayWapView = $.extend({}, Views.PanelView, {
    options: {
        tmpl: 'alipayWapView',
        id: '',  // 为了统计需要，不输入id的话，默认跟tmpl相同
        name: '支付宝网页支付'  // 为了统计需要，没有name不计入统计
    },
    willShow: function (ct) {
        Widget.popupLoadingClose();
        this.render(ct,{
            height: $(window).height() * (1 - 12 / 100),
            width: $(window).width()
        });
        this.assertDivContentChange(Util.data("cache.alipayRespHTML"));
    },
    assertDivContentChange: function (json) {
        Util.log("json==" + json);
        $('#alipayPagePay')[0].contentWindow.document.write("<div id='alipayWapResp'>" + json + "</div>");
        $('#alipayPagePay')[0].contentWindow.document.close();
    }
});

var timerId = null;
/** 网页加载完成后
 */
function countBackRecharge() {
    Util.log('********function ---> countBackRecharge ********************');
    var iframe_href = window.frames[0].location.href;
    var start_range = iframe_href.lastIndexOf('/');
    if (iframe_href.substr(start_range + 1, 8).toLowerCase() == 'callback' || ((iframe_href.substr(start_range + 1, 5).toLowerCase() == 'error') && (window.frames[0].location.protocol != 'https:'))) {
        Util.log("add timerId---------");
        timerId = setTimeout(paymentAutoback, 10000);
    }

    var eventTar = document.getElementById("alipayPagePay").contentWindow.document.body;

    eventTar.addEventListener("touchstart", function (event) {
        //event.preventDefault();
        touchX = event.targetTouches[0].pageX;
        touchY = event.targetTouches[0].pageY;
        // Util.log(event.targetTouches[0]);
        Util.log("touchX==" + touchX + "touchY==" + touchY);
    }, false);
    eventTar.addEventListener("touchmove", function (event) {
        //event.preventDefault();
        Util.log("scorllHeight=====" + $('.ui-page-body')[0].scrollHeight);

        $('.ui-page-body')[0].scrollLeft += (touchX - event.targetTouches[0].pageX);
        $('.ui-page-body')[0].scrollTop += (touchY - event.targetTouches[0].pageY);
        //Util.log("touchY=="+touchY);
        Util.log("currentY==" + event.targetTouches[0].pageY);
    }, false);
}

//android系统物理返回键需要用到，所以加在物理返回那边
if (mobile_system==='ios'){
    var androidtimerId;
}

// 支付完成回调
Callback.alipayWapBack = function (btnId) {
    var queryPayResult = function () {
        //查询状态接口
        $.ajax({
            type: 'POST',
            url: WAP_QUERY_RESULT_URL,
            data: {
                tradeNo: Util.data('cache.tradeNo')
            },
            dataType: 'json'
        }).done(function (json, textStatus, jqXHR) {
            Widget.popupLoadingClose();
            // json.success为true表示支付成功；false为支付失败.
            if(json.success){
                // consultDetailView在之前prepareForPay方法中已经准备好数据
                StageManager.pushView(Views.consultDetailView);
            }
            else{
                Callback.pageBack();
            }
        }).fail(function (failData) {
            Util.alert(Views.errorMsg.NETWORK_ERROR);
            Callback.pageBack();
        });
    };
    Widget.popupLoading('正在返回，请稍后......');
    if (timerId != null) {
        clearTimeout(timerId);
    }
    Util.log("*************function --------->alipayWapBack******************");
    if ('alipayPage' == Util.data("cache.selectedPayWay")) {
        //查询状态接口，为了给后台充分的时间被支付宝所回调，此处进行延时
        setTimeout(queryPayResult, 5000);
    } else {
        if(mobile_system == 'android'){
            if (androidtimerId != null) {
                Util.log(androidtimerId);
                clearTimeout(androidtimerId);
                androidtimerId = null;
            };
            setTimeout(queryPayResult, 5000);
        }
        else{
            setTimeout(queryPayResult, 5000);
        }
    }
};

function payResultDialog(msg) {
    Util.log("msg==" + msg);
    Widget.popupLoadingClose();
    if (msg == "6001") {
        Util.alert("支付中断");
    } else if (msg == "9000") {
        Util.data("cache.payResultFlag", "success");
        StageManager.pushView(Views.rechargeResultView, function () {
        });
    } else {
        Util.data("cache.payResultFlag", "error");
        StageManager.pushView(Views.rechargeResultView, function () {
        });
    }
};

function noWXAppFuc() {
    Util.confirm("您没有安装微信", function (index) {
        if (index == 2 || index == 0) {
            Util.inAppBrowserRef = window.open("http://weixin.qq.com/", '_system');
        }
    }, "温馨提示", '重新选择支付方式,下载微信');
}

//支付结果展示（不包括支付宝网页支付）
Views.rechargeResultView = $.extend({}, Views.PanelView, {
    options: {
        pageName: 'rechargeResultView',
        tmpl: 'rechargeResultView',
        name: '支付选择页面'
    },
    willShow: function (ct) {
        var flag = Util.data("cache.payResultFlag");
        if (flag == "success") {
            flag = 'success'
        } else {
            flag = 'error'
        }
        Util.log("flag==" + flag);
        this.render(ct, {
            flag: flag
        })
        androidtimerId = setTimeout(function () {
                callbackFuc(flag);
            }, 10000 //10s
        );
    }

});

/****************    回调掌上医院方法     **************/
function callbackFuc(flag) {
    // 看起来这里是掌上医院的业务方法，不需要，暂时注释掉
//    Util.log("callbackFuc,flag==" + flag)
//    var param = {
//        tradeNo: Util.data('cache.tradeNo'),
//        trade_status: '001',
//        trade_msg: '失败'
//    }
//    if (flag == "success") {
//        param.trade_status = '000';
//        param.trade_msg = '成功';
//    }
//    Util.alert("支付"+param.trade_msg);
//    payCallBck(param);
    //eval(callbackName("('"+ param+"')"))
}

function payCallBck(param){
    Widget.popupLoadingClose();
    if (param.trade_status !== '000') {
        Callback.pageBack();
        return;
    }
    var outTradeNo = Util.data('recharge.order').outTradeNo;
    Widget.popupLoading('正在获取挂号结果...');
    var msg = '由于网络异常，请至挂号记录查看挂号结果。若无挂号结果，请联系客服退款，并再次确认或挂号。'
    var rel = Util.data('Views.regInfoConfirmView.show');
    setTimeout(function(){
        var view = [Views.mainView,Views.infoTypeSelectView];
        $.ajax({
            type : 'POST',
            url  : WEB_URL + '/mobile/guahao/status/' + HOSPITAL_ID + '/' + outTradeNo,
            dataType: 'json'
        }).done(function(json, textStatus, jqXHR) {
            Widget.popupLoadingClose();
            if (!json.success) {
                Util.alert(msg, function() {
                    StageManager.fixViewBeforeShow(view);
                    gotoRecords(rel);
                });
                return;
            }
            if (json.errMsg - 0 === 1) {
                msg = '挂号成功，请就诊后到医院窗口打印发票！';
            } else if (json.errMsg - 0 === 0) {
                msg = '付款成功，但挂号失败，请联系客服退款，并再次确认或挂号。';
            } else if (json.errMsg - 0 === -1) {
                msg = '由于网络异常，请至挂号记录查看挂号结果。若无挂号结果，请联系客服退款，并再次确认或挂号。';
            }
            Util.alert(msg, function() {
                StageManager.fixViewBeforeShow(view);
                gotoRecords(rel);
            });
        }).fail(function(jqXHR, textStatus, errorThrown) {
            Widget.popupLoadingClose();
            Util.alert(msg, function() {
                StageManager.fixViewBeforeShow(view);
                gotoRecords(rel);
            });
        });
    }, 2000);
}


function gotoRecords (rel) {
    if( rel.parent === 'depart' ) {
        StageManager.pushView(Views.appointmentRegRecordView);
    } else if( rel.parent === 'expert' ) {
        StageManager.pushView(Views.appointmentRegRecordView);
    } else if( rel.parent === 'realTimeDepart' ) {
        StageManager.pushView(Views.timeRegRecordView);
    } else if( rel.parent === 'realTimeExpert' ) {
        StageManager.pushView(Views.timeRegRecordView);
    }
}


var jsPlugin =
{
    forPay: function (success, fail, resultType) {
        return cordova.exec(success, fail, "QuickPayPlugin", "recharge", [resultType]);
    },
    forPayByUnionpay: function (success, fail, resultType) {
        return cordova.exec(success, fail, "UnionpayMobilePlugin", "recharge", [resultType]);
    },
    forpayByWechat: function (success, fail, resultType) {
        return cordova.exec(success, fail, "WechatPaymentPlugin", "recharge", [resultType]);
    }

};


function androidPlugin(param, str) {
    window.callActivityPlugin = function (param, callback) {
        cordova.exec(callback, pluginFailed, str, "call", param);
    };
    var pluginFailed = function (message) {
        alert("failed>>" + message);
    }
    var init = function () {
        console.log("phonegap init!!");
        //onDeviceReady();
        document.addEventListener("deviceready", onDeviceReady, true);
    }
    var onDeviceReady = function () {
        console.log("deviceready event fired");
        window.callActivityPlugin(param, function (echoValue) {
            console.log("callActivityPlugin echo>>");
        });
    };
    init();
}


function requestPayFuc(platform) {
    var result;
    $.ajax({
        type: 'POST',
        url: PAYMENT_REQUEST_PAY_URL,
        data: {
            partner_sign: Util.data('cache.partenSign'),
            tradeNo: Util.data('cache.tradeNo'),
            pay_platform: platform
        },
        dataType: 'json',
        async: false
    }).done(function (json, textStatus, jqXHR) {
        Widget.popupLoadingClose();
        result = json;
    }).fail(function (jqXHR, textStatus, errorThrown){
        Widget.popupLoadingClose();
        Util.alert(Views.errorMsg.NETWORK_ERROR);
        result =  -1;
    })
    return result;
};

/********************************android支付方式*******************************/
function androidUnionPay() {
    Util.log("进入unionPay方法");
    var requestData = requestPayFuc('2001');
    if(requestData==-1){return}
    var tn = requestData.data.tn;
    Util.log("tn====>" + requestData.data.tn);
    var activeName = 'com.zhicall.AndroidUnionPayPluginActivity';
    var param = [activeName, tn];
    var callPluginName = "CallUnionActivityPlugin";
    androidPlugin(param, callPluginName);
}


function androidAlipayFast(btnId) {
    Util.log("进入androidAlipayFast方法");
    // 此方法为开始真正支付前的数据准备
    var ajaxDoneHandler = function (json) {
        if(json.success){
            afterPayPrepareForConsultDetail(json);
            enterRealPayProcedure();
        }
        else{
            $('#'+btnId).addClass('ui-btn');
            Widget.popupToast('发起支付失败，请稍候重试');
        }
    };
    //此方法真正开始支付流程
    var enterRealPayProcedure = function () {
        Util.log('1.开始进入支付宝网页支付平台系统流程');
        Widget.popupLoading('正在跳转至支付宝...');
        $.ajax({
            type: 'POST',
            url: PAYMENT_REQUEST_PAY_URL,
            data: {
                tradeNo: Util.data('cache.tradeNo'),
                payPlatform: '1003'// 1003支付宝快捷支付
            },
            timeout: 10000
        }).done(function (json, textStatus, jqXHR) {
            console.log(json);
            Util.log('2.从支付后台获取是否生成交易记录成功状态，开始原生快捷支付调用');
            callNativeActivity(json);
        }).fail(function (jqXHR, textStatus, errorThrown) {
            Widget.popupLoadingClose();
            Util.alert(Views.errorMsg.NETWORK_ERROR);
        });
    };

    prepareForPay(btnId, ajaxDoneHandler);

    var callNativeActivity = function (json) {
        if(json.success){
            $.ajax({
                type: 'POST',
                url: PAYMENT_QUERY_URL,
                data: {
                    tradeNo: Util.data('cache.tradeNo')
                },
                dataType: 'json',
                success: function (data) {
                    if(json.success){
                        Widget.popupLoadingClose();
                        var info = data.order_info;
                        var sign = data.third_pary_sign;
                        var zhicallSerial = Util.data('cache.tradeNo');
                        var activeName = 'com.zhicall.AndroidAlipayPluginActivity';
                        var param = [activeName, info, sign, zhicallSerial];
                        var callPluginName = "CallAlipayActivityPlugin";
                        Util.log("callPluginName="+callPluginName);
                        androidPlugin(param, callPluginName);
                    }
                    else{
                        Widget.popupToast('发起支付失败');
                    }
                },
                error: function (jsonError) {
                    Widget.popupToast('发起支付失败');
                }
            })
        }
        else{
            Util.alert("网络异常，请稍候再试");
            return;
        }
    };

}

function androidWXPay() {
    Util.log("进入微信支付方法")
    var requestData = requestPayFuc('3001');
    if(requestData==-1){return}
    var paymentData = {
        payAppId: requestData.appid,
        payNonceStr: requestData.noncestr,
        payPackage: requestData.package,
        payPartnerid: requestData.partnerid,
        payPrepayid: requestData.prepayid,
        paySign: requestData.sign,
        payTimestamp: requestData.timestamp,
        zhicallSerial: Util.data('cache.tradeNo')

    };
    var activeName = 'com.zhicall.guahao.songjiang.wxapi.WXPayEntryActivity';
    var param = [activeName, paymentData];
    var callPluginName = "CallWXActivityPlugin";
}

/******************************* ios支付方式 **********************************/
function iosUnionPay() {
    Util.log("进入unionPay方法");
    var requestData = requestPayFuc('2001');
    if(requestData==-1){return}
    var tn = requestData.data.tn;
    var orderData = {
        tn: tn,
        mode: '00'
    };
    jsPlugin.forPayByUnionpay(function (success) {

    }, function (error) {
    }, JSON.stringify(orderData));
}

function iosAlipayFast(btnId) {
    Util.log("进入iosAlipayFast方法");
    // 此方法为开始真正支付前的数据准备
    var ajaxDoneHandler = function (json) {
        if(json.success){
            afterPayPrepareForConsultDetail(json);
            enterRealPayProcedure();
        }
        else{
            $('#'+btnId).addClass('ui-btn');
            Widget.popupToast('发起支付失败，请稍候重试');
        }
    };
    //此方法真正开始支付流程
    var enterRealPayProcedure = function () {
        Util.log('1.开始进入支付宝网页支付平台系统流程');
        Widget.popupLoading('正在跳转至支付宝...');
        $.ajax({
            type: 'POST',
            url: PAYMENT_REQUEST_PAY_URL,
            data: {
                tradeNo: Util.data('cache.tradeNo'),
                payPlatform: '1003'// 1003支付宝快捷支付
            },
            timeout: 10000
        }).done(function (json, textStatus, jqXHR) {
            console.log(json);
            Util.log('2.从支付后台获取是否生成交易记录成功状态，开始原生快捷支付调用');
            callNativeActivity(json);
        }).fail(function (jqXHR, textStatus, errorThrown) {
            Widget.popupLoadingClose();
            Util.alert(Views.errorMsg.NETWORK_ERROR);
        });
    };

    prepareForPay(btnId, ajaxDoneHandler);

    var callNativeActivity = function (json) {
        if(json.success){
            var queryPayResult = function () {
                //查询状态接口
                $.ajax({
                    type: 'POST',
                    url: WAP_QUERY_RESULT_URL,
                    data: {
                        tradeNo: Util.data('cache.tradeNo')
                    },
                    dataType: 'json'
                }).done(function (json, textStatus, jqXHR) {
                    Widget.popupLoadingClose();
                    // json.success为true表示支付成功；false为支付失败.
                    if(json.success){
                        // consultDetailView在之前prepareForPay方法中已经准备好数据
                        StageManager.pushView(Views.consultDetailView);
                    }
                    else{
                        $('.confirm-btn').addClass('ui-btn');
//                        Callback.pageBack();
                    }
                }).fail(function (failData) {
                    Util.alert(Views.errorMsg.NETWORK_ERROR);
                    $('.confirm-btn').addClass('ui-btn');
//                    Callback.pageBack();
                });

            };

            $.ajax({
                type: 'POST',
                url: PAYMENT_QUERY_URL,
                data: {
                    tradeNo: Util.data('cache.tradeNo')
                },
                dataType: 'json',
                success: function (data) {
                    if(json.success){
                        Widget.popupLoadingClose();
                        jsPlugin.forPay(function (success) {
                            Util.alert('成功！');
//                            queryPayResult();
                        }, function (err1) {
                            Util.alert('失败！');
//                            queryPayResult();
                        }, JSON.stringify(data));
                    }
                    else{
                        Widget.popupToast('发起支付失败');
                    }
                },
                error: function (jsonError) {
                    Widget.popupToast('发起支付失败');
                }
            });
        }
        else{
            Util.alert("网络异常，请稍候再试");
            return;
        }
    };

}


function iosWXPay() {
    var requestData = requestPayFuc('3001');
    if(requestData==-1){return}
    var paymentData = {
        payNonceStr: requestData.noncestr,
        payPackage: requestData.package,
        payPartnerid:requestData.partnerid,
        payPrepayid:requestData.prepayid,
        paySign:requestData.sign,
        payTimestamp:requestData.timestamp

    };

    jsPlugin.forpayByWechat(function(success){

    },function(error){

    },JSON.stringify(paymentData));

}

