// ------------------------------------------------------------------------
// View registry
//
var Views = {
    tmpl: {
        cssAppend: 'views/cssAppend.html',
        mainView: 'views/mainView.html',
        // Popup UI templates
        popupLoading: 'views/popup/popupLoading.html',
        popupSuccess: 'views/popup/popupSuccess.html',
        popupFailure: 'views/popup/popupFailure.html',
        popupCustomView: 'views/popup/popupCustomView.html',
        // Layout templates
        tabbedPanelLayout: 'views/layout/tabbedPanelLayout.html',
        // Custom Views
        homeView: 'views/homeView.html',
        loginView: 'views/loginView.html',
        findpwdView: 'views/loginFindpwdView.html',
        registerView: 'views/loginRegisterView.html',
        registerProtocolView: 'views/loginRegisterProtocolView.html',
        medicalServiceView: 'views/medicalServiceView.html',
        newsView: 'views/newsView.html',
        newsSubView: 'views/newsSubView.html',
        newsDetailView: 'views/newsDetailView.html',
        newsCommentView: 'views/newsCommentView.html',
        newsCommentSubView: 'views/newsCommentSubView.html',
        maternalHealthCareView: 'views/maternalHealthCareView.html',
        setMaternalTimeView: 'views/setMaternalTimeView.html',
        selfTestMaternalView: 'views/selfTestMaternalView.html',
        noticeMaternalView: 'views/noticeMaternalView.html',
        reportMaternalView: 'views/reportMaternalView.html',
        knowledgeMaternalView: 'views/knowledgeMaternalView.html',
        checkTimeMaternalView: 'views/checkTimeMaternalView.html',
        reportDetailMaternalView: 'views/reportDetailMaternalView.html',
        selfTestMaternalSubView: 'views/selfTestMaternalSubView.html',
        noticeMaternalSubView: 'views/noticeMaternalSubView.html',
        reportMaternalSubView: 'views/reportMaternalSubView.html',
        checkTimeMaternalSubView: 'views/checkTimeMaternalSubView.html',
        maternalProjectView: 'views/maternalProjectView.html',
        babyHealthCareView: 'views/babyHealthCareView.html',
        healthBabyView: 'views/healthBabyView.html',
        babyVaccinationIndexView: 'views/babyVaccinationIndexView.html',
        babyVaccinationIntroCategoryView: 'views/babyVaccinationIntroCategoryView.html',
        babyVaccinationIntroTabooView: 'views/babyVaccinationIntroTabooView.html',
        babyVaccinationIntroWarnView: 'views/babyVaccinationIntroWarnView.html',
        babyVaccinationIntroNodoView: 'views/babyVaccinationIntroNodoView.html',
        babyVaccinationIntroCareView: 'views/babyVaccinationIntroCareView.html',
        babyVaccinationIntroQuestionView: 'views/babyVaccinationIntroQuestionView.html',
        babyVaccinationIntroReactionView: 'views/babyVaccinationIntroReactionView.html',
        babyImmunizationTimeView: 'views/babyImmunizationTimeView.html',
        babyImmunizationTimeSubView: 'views/babyImmunizationTimeSubView.html',
        babyVanccinationDetailView: 'views/babyVanccinationDetailView.html',
        reportBabyView: 'views/reportBabyView.html',
        reportBabySubView: 'views/reportBabySubView.html',
        reportDetailBabyView: 'views/reportDetailBabyView.html',
        addBabyBodyView: 'views/addBabyBodyView.html',
        babyTrendView: 'views/babyTrendView.html',
        TrendView: 'views/TrendView.html',
        healthBabySubView: 'views/healthBabySubView.html',
        healthBabySubListView: 'views/healthBabySubListView.html',
        babyTestHelpView: 'views/babyTestHelpView.html',
        userCenterView: 'views/userCenterView.html',
        userCenterDeviceView: 'views/userCenterDeviceView.html',
        userCenterDeviceSubView: 'views/userCenterDeviceSubView.html',
        userCenterDeviceDetailView: 'views/userCenterDeviceDetailView.html',
        addMedicalCardView: 'views/addMedicalCardView.html',
        medCardDetailView: 'views/medCardDetailView.html',
        addMemberView: 'views/addMemberView.html',
        medCardManage2View: 'views/medCardManage2View.html',
        medCardManage2SubView: 'views/medCardManage2SubView.html',
        accountSafeView: 'views/accountSafeView.html',
        answerSecretQuestionView: 'views/answerSecretQuestionView.html',
        modifyPwdView: 'views/modifyPwdView.html',
        resetAccountView: 'views/resetAccountView.html',
        setSecretQuestionView: 'views/setSecretQuestionView.html',
        aboutUsView: 'views/aboutUsView.html',
        feedbackView: 'views/feedbackView.html',
        faqView: 'views/faqView.html',
        faqDetailView: 'views/faqDetailView.html',
        settingView: 'views/settingView.html',
        collectView: 'views/collectView.html',
        versionCheckView: 'views/versionCheckView.html',
        logOffView: 'views/logOffView.html',
        userChooseView: 'views/userChooseView.html',
        disclaimerView: 'views/disclaimerView.html',
        onlineESQView: 'views/onlineESQView.html',
        collectMenuView: 'views/collectMenuView.html',
        collectSubView: 'views/collectSubView.html',
        /*门诊服务*/
        orderRegisterView: 'views/orderRegisterView.html',
        healthExaminationCheckSubView: 'views/medicalHealthExaminationCheckSubView.html',
        healthExaminationTestSubView: 'views/medicalHealthExaminationTestSubView.html',
        healthExaminationCheckDetailView: 'views/medicalHealthExaminationCheckDetailView.html',
        healthExaminationTestDetailView: 'views/medicalHealthExaminationTestDetailView.html',
        hosListView: 'views/hosListView.html',
        deptListView: 'views/deptListView.html',
        docListView: 'views/docListView.html',
        deptDetailView: 'views/deptDetailView.html',
        docDetailView: 'views/docDetailView.html',
        enSureOrderView: 'views/enSureOrderView.html',
        medCardSelectView: 'views/medCardSelectView.html',
        realTimeView: 'views/realTimeView.html',
        recipeRecordSubView: 'views/recipeRecordSubView.html',
        recipeRecordDetailView: 'views/recipeRecordDetailView.html',
        feeRecordSubView: 'views/feeRecordSubView.html',
        feeRecordDetailView: 'views/feeRecordDetailView.html',
        medicalRecordView: 'views/medicalRecordView.html',
        medicalRecordSubView: 'views/medicalRecordSubView.html',
        medicalRecordDetailView: 'views/medicalRecordDetailView.html',
        treatmentEvaluateView: 'views/treatmentEvaluateView.html',
        treatmentEvaluateResultView: 'views/treatmentEvaluateResultView.html',
        orgRecordView: 'views/orgRecordView.html',
        orgRecordDetailView: 'views/orgRecordDetailView.html',
        stationDetailView: 'views/stationDetailView.html',
        medServiceIndexDateView: 'views/medServiceIndexDateView.html',
        /*******医疗资源*************/
        mrHomeView: 'views/mrHomeView.html',
        orgListView: 'views/orgListView.html',
        orgListAllView: 'views/orgListAllView.html',
        orgDetailView: 'views/orgDetailView.html',
        orgServiceView: 'views/orgServiceView.html',
        underServiceStationView: 'views/underServiceStationView.html',
        mrFeeItemView: 'views/mrFeeItemView.html',
        mrFeeItemSubView: 'views/mrFeeItemSubView.html',
        pathNavView: 'views/pathNavView.html',
        floorNavView: 'views/floorNavView.html',
        showImgView: 'views/showImgView.html',
        buildSelectView: 'views/buildSelectView.html',
        //专家团队
        familyDoctorView: 'views/familyDoctorView.html',
        fdCommunityDoctorSubView: 'views/fdCommunityDoctorSubView.html',
        fdDoctorTeamSubView: 'views/fdDoctorTeamSubView.html',
        /*****健康工具*******/
        healthToolView: 'views/healthToolView.html',
        bmiCalculatorView: 'views/bmiCalculatorView.html',
        bmiResultView: 'views/bmiResultView.html',
        hepatitisBSelfTestView: 'views/hepatitisBSelfTestView.html',
        hepatitisBSelfTestResultView: 'views/hepatitisBSelfTestResultView.html',
        babyBloodTypeTestView: 'views/babyBloodTypeTestView.html',
        tcmPhysicalTestView: 'views/tcmPhysicalTestView.html',
        tcmPhysicalTestHistoryView: 'views/tcmPhysicalTestHistoryView.html',
        tcmPhysicalTestHistorySubView: 'views/tcmPhysicalTestHistorySubView.html',
        tcmPinghezhiTestView: 'views/tcmPinghezhiTestView.html',
        tcmQiyuzhiTestView: 'views/tcmQiyuzhiTestView.html',
        tcmTebingzhiTestView: 'views/tcmTebingzhiTestView.html',
        tcmXueyuzhiTestView: 'views/tcmXueyuzhiTestView.html',
        tcmShirezhiTestView: 'views/tcmShirezhiTestView.html',
        tcmTanshizhiTestView: 'views/tcmTanshizhiTestView.html',
        tcmQixuzhiTestView: 'views/tcmQixuzhiTestView.html',
        tcmYinxuzhiTestView: 'views/tcmYinxuzhiTestView.html',
        tcmYangxuzhiTestView: 'views/tcmYangxuzhiTestView.html',
        checkTestAnalysisView: 'views/checkTestAnalysisView.html',
        checkTestAnalysisSubView: 'views/checkTestAnalysisSubView.html',
        checkTestAnalysisDetailView: 'views/checkTestAnalysisDetailView.html',
        //家庭医生
        familyPhysicianView: 'views/familyPhysician/homeView.html',
        knowFDView: 'views/familyPhysician/knowFDView.html',
        applyFamilyPhysicianView: 'views/familyPhysician/applyHomeView.html',
        applyMedCardView: 'views/familyPhysician/apply/medCardView.html',
        detailHosView: 'views/familyPhysician/apply/detailHosView.html',
        hosTeamView: 'views/familyPhysician/apply/hosTeamView.html',
        hosTeamDoctorView: 'views/familyPhysician/apply/hosTeamDoctorView.html',
        ensureApplyInfoView: 'views/familyPhysician/apply/ensureInfoView.html',
        detailHosDoctorView: 'views/familyPhysician/apply/detailHosDoctorView.html',
        applyingFPHomeView: 'views/familyPhysician/applyingHomeView.html',
        myFamilyPhysicianView: 'views/familyPhysician/myHomeView.html',
        cancelSignDocView: 'views/familyPhysician/my/cancelSignDocView.html',
        showSignDocRecordView: 'views/familyPhysician/my/showSignDocRecordView.html',
        showFDMessageView: 'views/familyPhysician/my/showFDMessageView.html',
        showFDApplyRecordView: 'views/familyPhysician/my/showFDApplyRecordView.html',
        showMessageSubView: 'views/familyPhysician/my/showMessageSubView.html',
        evaluationFDView: 'views/familyPhysician/my/evaluationFDView.html',
        getSignDetailView: 'views/familyPhysician/my/getSignDetailView.html',
        applyingHomeSubView: 'views/familyPhysician/applyingHomeSubView.html',
        swipeCircleView: 'views/swipeCircleView.html',
        consultFDView: 'views/familyPhysician/consultQuizView.html',
        //智能导诊
        noopsycheDiagnoseGuideView: 'views/daozhen/noopsycheDiagnoseGuideView.html',
        noopsycheDiagnoseImgView: 'views/daozhen/noopsycheDiagnoseImgView.html',
        noopsycheDiagnoseListView: 'views/daozhen/noopsycheDiagnoseListView.html',
        symptomDescribeView: 'views/daozhen/symptomDescribeView.html',
        selectedSymptomView: 'views/daozhen/selectedSymptomView.html',
        symptomResultView: 'views/daozhen/symptomResultView.html',
        /*健康咨询*/
        consultView: 'views/consultView.html',
        consultSubLatestView: 'views/consultSubLatestView.html',
        consultSubMyQuestionsView: 'views/consultSubMyQuestionsView.html',
        questionConversationView: 'views/consultConversationView.html',
        consultConversationSubView: 'views/consultConversationSubView.html',
        consultQuizView: 'views/consultQuizView.html',
        /*慢病管理*/
        chronicIndexView: 'views/chronicIndexView.html',
        chronicVitalSignSubView: 'views/chronicVitalSignSubView.html',
        chronicVitalSignDetailView: 'views/chronicVitalSignDetailView.html',
        chronicVitalSignsTrendView: 'views/chronicVitalSignsTrendView.html',
        chronicVitalSignTrendAlertView: 'views/chronicVitalSignTrendAlertView.html',
        chronicRiskAssessView: 'views/chronicRiskAssessView.html',
        chronicRiskAssessResultView: 'views/chronicRiskAssessResultView.html',
        chronicVitalSignAddView: 'views/chronicVitalSignAddView.html',
        chronicRevisitView: 'views/chronicRevisitView.html',
        chronicRiskAssessHistoryView: 'views/chronicRiskAssessHistoryView.html',

		/*咨询*/
		navi1View: 'views/zixun/navi1View.html',
		navi1SubView: 'views/zixun/navi1SubView.html',
		defaultNoRecordView: 'views/zixun/defaultNoRecordView.html',
		navi3View: 'views/zixun/navi3View.html',
		myDrSub1View: 'views/zixun/myDrSub1View.html',
		myDrSub2View: 'views/zixun/myDrSub2View.html',
		drDoctorDetailView: 'views/zixun/drDoctorDetailView.html',
		drCommentListSubView: 'views/zixun/drCommentListSubView.html',
		drCommentListView: 'views/zixun/drCommentListView.html',
		navi2View: 'views/zixun/navi2View.html',
		navi2SubView: 'views/zixun/navi2SubView.html',
		searchMaskView: 'views/zixun/searchMaskView.html',
		searchMaskSubView: 'views/zixun/searchMaskSubView.html',
		vouchersView:'views/zixun/vouchersView.html',
		vouchersSubView: 'views/zixun/vouchersSubView.html',
		appealDetailView: 'views/zixun/appealDetailView.html',
		consultDetailFloorView: 'views/zixun/consultDetailFloorView.html',
		consultDetailView: 'views/zixun/consultDetailView.html',
		cameraMaskView: 'views/zixun/cameraMaskView.html',
		drTeletextConsultView: 'views/zixun/drTeletextConsultView.html',
		doEvaluateView: 'views/zixun/doEvaluateView.html',
		doAppealView: 'views/zixun/doAppealView.html',
		zixunFeeRecordView: 'views/zixun/zixunFeeRecordView.html',
		zixunFeeRecordSubView: 'views/zixun/zixunFeeRecordSubView.html',
		zixunFeeRecordDetailView: 'views/zixun/zixunFeeRecordDetailView.html',
		paymentView: 'views/zixun/paymentView.html',
		payCashCouponView: 'views/zixun/payCashCouponView.html',
		commentDetailView: 'views/zixun/commentDetailView.html',

        contactsView: 'views/contactsView.html'
    },
    isAnyViewScrolling: false,
    isAnyViewInTransition: false,
    isTransitionAnimEnabled: true
};
