/**
 * Created with IntelliJ IDEA.
 * User: Administrator
 * Date: 15-6-26
 * Time: 上午10:17
 * To change this template use File | Settings | File Templates.
 */
Callback.showNav1 = function() {
	if (!Util.loginSuggest()) return;
	StageManager.pushView(Views.navi1View);
};
Views.navi1View = $.extend({}, Views.PanelView, {
	newMsg: false,// 是否有新消息
	options: {
		tmpl: 'navi1View',
		name: '健康咨询'
	},
	init: function () {
		this.offset = 0;
		this.rowCount = 100;
		if(!this.statusMap){
			this.statusMap = new Map('status', DataDef.statusArray);
		}
	},
	willShow: function(ct) {

		this.init();
		this.render(ct);
//		ct.find('.search-mask').html(Views.tmpl.searchMaskView({callback: 'searchMyConsult'}));
	},
	didShow: function () {
		Widget.popupLoading();
		var self = this;
		setTimeout(function () {
			Widget.popupLoadingClose();
			self.navi1PullRefresher = Util.makeScrollableWithPullRefresh(
				$('.my-consult-list'), self, {
					onPullDownRefresh: self.onPullDownRefresh
				}
			);
		}, 500);
	},
	onPullDownRefresh: function () {
		var view = Views.navi1View;
		view.loadMsgs();
	},
	onPullUpRefresh: function () {
	},
	loadMsgs: function () {
		var self = this;
		var opt = {
			patientId: UserProfile.id,
			offset: self.offset,
			rowCount: self.rowCount,
			async: false
		};
		var ajaxDoneHandler = function (json) {
			Widget.popupLoading();
			if(json.success){
				self.offset += self.rowCount;
//				$('#pullUp .pullup-inner').text('向上加载更多');
			}
			for(var i=0; i<json.data.length; i++){
				var statusObj = self.statusMap.get(json.data[i].status);
				json.data[i].statusWord = statusObj.word;
				json.data[i].color = statusObj.css;
			}
			if(json.data.length > 0){
				var tmpl = Views.tmpl.navi1SubView;
				$('#refresh-content-n1').html(tmpl({imgUrl: IMG_SMALL_URL, msgs: json.data}));
				$('#pullUp .pullup-inner').text('向上加载更多');
			}
			else{
				$('#refresh-content-n1').html(Views.tmpl.defaultNoRecordView);
				$('#pullUp .pullup-inner').text('');
			}
			setTimeout(function () {
				Widget.popupLoadingClose();
			}, 1000);

		};
		if (APPVERSION === 'web') {
			ajaxDoneHandler(TestSuit.zixun_msg);
			return;
		}
		DataExchange.getCurrMsgList(opt).done(ajaxDoneHandler);
	},
	didHide: function (){
		this.viewScrollerDestroy();
		if(this.maskViewScroller){
			this.maskViewScroller.destroy();
			this.maskViewScroller = null;
		}
		if(this.navi1PullRefresher){
			this.navi1PullRefresher.destroy();
			this.navi1PullRefresher = null;
		}
	}
});

Callback.showConsultDetailFromNavi1 = function (btnId) {
	var $btn = $('#'+btnId),
		sessionId = $btn.attr('session-id'),
		doctorId = $btn.attr('dr-id'),
		serviceType = $btn.attr('service-type'),
		refId = $btn.attr('ref-id'),
		status = $btn.attr('status'),
		endDay = $btn.attr('end-day') || 7,
		toView = null;
	// 状态为'A'代表医生要求重选时间
//	if(status == 'A'){
//		toView = Views.telephoneChooseTimeView;
//		toView.doctorId = doctorId;
//		toView.endDay = endDay;
//		toView.btnStatus = 3;
//		toView.refId = refId;
//		toView.sessionId = sessionId;
//	}
//	else{
		toView = Views.consultDetailView;
		toView.prepareData = {
			sessionId: sessionId,
			doctorId: doctorId,
			familyDoctorRelId: refId,
			serviceType: serviceType
		};
	Util.data('consultDetailView.prepareData',toView.prepareData);
//	}
	StageManager.pushView(toView);
};

Views.consultDetailView = $.extend({}, Views.PanelView, {
	thumbnailWidth: 80,
	lastVoicePlayBtnId: 0,
	options: {
		tmpl: 'consultDetailView',
		name: '咨询详情'
	},
	scrollToEndDialog: function () {
		setTimeout(function(){
			var $floors = $('.take-floor'),
				$floorDialogs = $floors.find('.dialog1'),
				fN = $floors.length,
				bodyAreaHeight = $('.body-area').height();
			if(fN > 0){
				function getNum(str) {
					return Number(str.substring(0, str.length-2));
				}
				var floorHeight = $floors.height()
					+ getNum($floors.css('padding-top'))
					+ getNum($floors.css('padding-bottom'))
					+ getNum($floors.css('margin-top'))
					+ getNum($floors.css('margin-bottom'));
				if(fN * floorHeight > bodyAreaHeight){
					Views.consultDetailView._viewScroller.refresh();
					Views.consultDetailView._viewScroller.scrollToElement($floorDialogs[fN-1], 100);
				}
			}
		}, 500);
	},
	init: function () {
		if(!this.sessionMap){
			this.sessionMap = new Map();// session and html relation
		}
		this.localVoicePath = null;// local record voice path
		this.localImgPath = null;
	},
	willShow: function (ct) {
		this.loadAndRender(ct);
	},
	loadAndRender: function (ct) {
		var self = this;
		self.prepareData = Util.data('consultDetailView.prepareData');
		var filterBackViews = function () {

			var oldStack = StageManager.layout.tabViewStack,
				newStack = [],
				isFromPay = self.prepareData.isFromPay;//是否来自于购买流程跳转
			if(isFromPay){
				Views.mainView.index = 0;
				newStack.push(Views.mainView);
				newStack.push(self);
			}
			else{
				for(var i=0; i<oldStack.length; i++){
					var currTmpl = oldStack[i].options.tmpl;
					// black list templates should not be in the page back stack view,
					// cause we must avoid going back to the buying procedure views
					var blackTmpls = [
						Views.paymentView.options.tmpl,
						Views.drTeletextConsultView.options.tmpl,
//						Views.drPrivateDrView.options.tmpl,
//						Views.drTelephoneConsultView.options.tmpl,
//						Views.telephoneChooseTimeView.options.tmpl,
						Views.alipayWapView.options.tmpl,
						Views.rechargeResultView.options.tmpl
					];
					var flag = false;
					for(var j=0; j<blackTmpls.length; j++){
						if(currTmpl == blackTmpls[j])
							flag = true;
					}
					if(!flag){
						newStack.push(oldStack[i]);
					}
				}
			}

			StageManager.fixViewStack(newStack);
		};
		function renderConsultStatus (ct, jd0) {
			/**
			 * 根据1、2、3步骤对内容进行选择性显示，不要调换顺序
			 */
			// Step1：根据是不是第一次咨询进行render
			ct.find('.next-consult').show().end()
				.find('.first-consult').hide();
			if(jd0.contentVOList.length > 0){
				ct.find('.next-consult').show().end()
					.find('.first-consult').hide();
			}
			else{
				ct.find('.first-consult').show().end()
					.find('.next-consult').hide();
				if(self.prepareData.serviceType == 'P'){
					$('#text-content').attr('placeholder', '若有图像资料,可提前上传');
				}
			}

			// Step2：如果phoneTime这个字段存在，说明是电话咨询，根据电话咨询进行渲染
			if(jd0.phoneTime){
				ct.find('first-consult.condition').hide().end()
					.find('.always-phone-consult').show().end()
					.find('.time-range .time').text(jd0.phoneTime);
				$('.bottom-area').find('.first-consult').hide().end()
					.find('.next-consult').show();
				$('.i-feeback-mobile').show();
			}

			// Step3：根据状态进行渲染
			if(jd0.status == 'E'){
				// 问题结束，待评价
				$('.bottom-area').find('.next-consult,.first-consult,.end-evaluate').hide().end()
					.find('.end-consult').show();
				$('.header-right.next-consult').hide();
			}
			// 问题处于咨询中
			else if(jd0.status == 'I' || jd0.status == 'W'
				|| jd0.status == 'H'){
				// 且属于图文咨询
				if(self.prepareData.serviceType == 'T' && !Number(self.prepareData.familyDoctorRelId)){
					$('.header-right.next-consult').show();
				}
				else{
					// 家庭医生图文和电话咨询以及单次电话咨询都不能关闭咨询
					$('.header-right.next-consult').hide();
				}
			}
			else if(jd0.status == 'B' || jd0.status == 'G'
				|| jd0.status == 'K' || jd0.status == 'T'
				|| jd0.status == 'Q'){
				// 否则都属于问题结束
				$('.bottom-area').find('.next-consult,.first-consult,.end-consult,.end-evaluate,.appealing,.refund').hide().end()
					.find('.totally-end').show();
				$('.first-consult.condition').hide();
				$('.header-right.next-consult').hide();
			}
			else if(jd0.status == 'C' || jd0.status == 'D'){
				$('.bottom-area').find('.next-consult,.first-consult,.end-consult,.end-evaluate,.totally-end,.refund').hide().end()
					.find('.appealing').show();
				$('.first-consult.condition').hide();
				$('.header-right.next-consult').hide();
			}
			else if(jd0.status == 'P'){
				$('.bottom-area').find('.next-consult,.first-consult,.end-consult,.appealing,.totally-end,.refund').hide().end()
					.find('.end-evaluate').show();
				$('.first-consult.condition').hide();
				$('.header-right.next-consult').hide();
			}

			//Step4：根据有没有退款记录和申诉记录进行底部渲染
			function appealAssign() {
				var view = Views.appealDetailView;
				view.patientAppeal = jd0.patientAppealVO;
				view.applyRefund = jd0.applyRefund;
				view.refundResult = jd0.refundResult;
			}
			if(jd0.patientAppealVO){
				$('.bottom-area').find('.next-consult,.first-consult,.end-consult,.end-evaluate,.totally-end,.refund').hide().end()
					.find('.appealing').show();
				appealAssign();
			}
			else if(jd0.applyRefund){
				$('.bottom-area').find('.next-consult,.first-consult,.end-consult,.end-evaluate,.totally-end,.appealing').hide().end()
					.find('.refund').show();
				appealAssign();
			}

			self.viewScrollerInit(ct.find('.body-area'), {
				hScrollbar: false,
				vScrollbar: false
			});
		};
		function firstConsult(ct, jd0) {
			var opt = {
				doctorId: self.prepareData.doctorId,
				patientId: UserProfile.id
			};
			var ajaxDoneHandler = function (json) {
				if(json.success){
					var renderData = {
						drDetail: json.data,
						familyDoctorRelId: self.prepareData.familyDoctorRelId,
						sessionId: self.prepareData.sessionId,
						serviceType: self.prepareData.familyDoctorRelId > 0 ? 'F' : self.prepareData.serviceType,
						imgUrl: IMG_SMALL_URL,
						patientAge: '',
						patientSex: '',
						member:Util.data('current.member')
					};
					self.render(ct, renderData);
					ct.find('#camera-mask-placeholder').html(Views.tmpl.cameraMaskView(
						{takePicture: 'takePicture', pickImage: 'pickImage1'}
					));
					renderConsultStatus(ct, jd0);
					filterBackViews();
				}
				else{
//                    self.render(ct);
				}
				delete self.prepareData;
			};
			if (APPVERSION === 'web') {
				ajaxDoneHandler(TestSuit.zixun_doc_detail);
				return;
			}
			DataExchange.getDoctorDetail(opt).done(ajaxDoneHandler);
		}
		function followUpConsult(ct, jd0) {
			var opt1 = {
				doctorId: self.prepareData.doctorId,
				patientId: UserProfile.id
			};
			var ajaxDoneHandler1 = function (json) {
				if(json.success){
					// 1. render 1st data (doctor detail and consult status)
					var renderData1 = {
						drDetail: json.data,
						familyDoctorRelId: self.prepareData.familyDoctorRelId,
						sessionId: self.prepareData.sessionId,
						serviceType: self.prepareData.familyDoctorRelId > 0 ? 'F' : self.prepareData.serviceType,
						imgUrl: IMG_SMALL_URL,
						patientAge: jd0.patientAge,
						patientSex: jd0.patientSex,
						member:Util.data('current.member')
					};
					self.render(ct, renderData1);
					ct.find('#camera-mask-placeholder').html(Views.tmpl.cameraMaskView(
						{takePicture: 'takePicture', pickImage: 'pickImage1'}
					));
					renderConsultStatus(ct, jd0);
					filterBackViews();

					// 2.render 2nd data and download file (consult contents)
					(function renderConsultContent() {
						var pickConsultType = function (data) {
							data.sex =  $('#zixun_name').attr('member-sex');
							if(data.type == 'A'){
								// download the audio file
								// data.content is consisted of audio file name, the separator ';' and the duration time
								// eg. 1259-frf2-1233;20
								var cArray = data.content.split(';');
								var filePath = FSManager.getRootPath()+'/'+cArray[0];
								if(mobile_system == 'android'){
									// android存放需要后缀名; ios在resource.js里面做掉了
									filePath += '.amr';
									// android读取需要cdvfile全路径名。ios只需文件名，系统制动会去temporary目录下找
									data.audioName = filePath;
								}
								else{
									data.audioName = cArray[0];
								}
								data.duration = cArray[1] || '未知';
								data.playPattern = 'cordova';// 从服务器端下载的音频文件播放方式为'cordova'
								var callback = function (flag) {
									if(flag){
//                                            alert('存在');
									}
									else{
										var opt = {
											file: filePath,
											onSuccess: 'audioDownloadSuccess',
											onError: 'audioDownloadError'
										};
										if(mobile_system == 'android'){
											opt.url = WEB_URL_R+'/audio/amr/'+data.content;
										}
										else{
											opt.url = WEB_URL_R+'/audio/ilbc/'+data.content;
										}
										FSManager.download(opt);
									}
								};
								FSManager.isFileExisted(filePath, callback);
							}
							else if(data.type == 'P'){
								// download the image file
								// data.content is consisted of image file name, the image with and the image height
								// each part of the content is separated by the separator ';'
								// eg. fb6a5bd6-4bf0-4356-895b-ab57c5d1d09d;20;80
								var cArray = data.content.split(';');
								data.imgSrc = IMG_COMMON_URL + '/' + cArray[0];
								var ratio = cArray[1] / self.thumbnailWidth;
								data.imgWidth = self.thumbnailWidth;
								data.imgHeight = cArray[2] / ratio;
							}
						};
						var pickConsultMan = function (data) {
							if(data.sendBy == 'P'){
								data.peopleId = UserProfile.id;
							}
							else if(data.sendBy == 'D'){
								data.peopleId = opt1.doctorId;
							}
						};
						for(var i=0; i<jd0.contentVOList.length; i++){
							// distinguish the consult type
							pickConsultType(jd0.contentVOList[i]);
							pickConsultMan(jd0.contentVOList[i]);
						}
						var data = [];
						for (var i = 0; i < jd0.contentVOList.length; i++) {
							var item = jd0.contentVOList[i];
                            if(jd0.patientSex){
                                item.sex = jd0.patientSex;
                            }
							if (item.type !== 'M') {
								data.push(item);
							} else {
								var name = item.content.split('=')[1].split(';')[0],
									array = item.content.split('=')[0].split('/'),
									id = array[array.length - 1].split('@name')[0],
									sex = item.content.split('sex=')[1].split(';')[0];
								$('#zixun_name').html(name);
								$('#zixun_name').attr('member-id',id);
								$('#zixun_name').attr('member-sex',sex);
								$('#selectMember').removeClass('ui-btn');
								$('#arrow').hide();
							}
						}
						var renderData2 = {
							consults: data,
							imgUrl: IMG_SMALL_URL
						};

						ct.find('#refresh-content').html(Views.tmpl.consultDetailFloorView(renderData2));
						self.scrollToEndDialog();
						delete self.prepareData;
					})();
				}
			};
			if (APPVERSION === 'web') {
				ajaxDoneHandler1(TestSuit.zixun_doc_detail);
				return;
			}
			DataExchange.getDoctorDetail(opt1).done(ajaxDoneHandler1);
		};
		var opt0 = {
			sessionId: self.prepareData.sessionId,
			sendBy: 'P'
		};
		var ajaxDoneHandler0 = function (json0) {
			if(json0.success){
				var jd0 = json0.data;

				if(jd0.contentVOList.length > 0){
					followUpConsult(ct, jd0);
				}
				else{
					firstConsult(ct, jd0);
				}
			}
			else{
				var renderData = {
					drDetail: {
						id: 0,
						avatarId: 0,
						rank: 0,
						hospitalName: '',
						name: '',
						follow: true
					},
					familyDoctorRelId: 0,
					sessionId: 0,
					serviceType: null,
					imgUrl: '',
					patientAge: '',
					patientSex: '',
					member:{}
				};
				self.render(ct, renderData);
				Widget.popupLoading();
				setTimeout(function(){
					StageManager.popView();
				}, 2000);
			}
		};
		if (APPVERSION === 'web') {
			ajaxDoneHandler0(TestSuit.zixun_detail_msg);
			return;
		}
		DataExchange.getConsultAllList(opt0).done(ajaxDoneHandler0);
	},

	didShow: function () {
		setTimeout(function(){
			$('.pop-layer').hide();
		}, 5000);
	},
	didHide: function () {
		if(this._viewScroller){
			this._viewScroller.destroy();
			this._viewScroller = null;
		}
		if(this.imageScroll){
			this.imageScroll.destroy();
			this.imageScroll = null;
		}
		if(mobile_system == 'android'){
			VoiceUtil.stopPlay();
		}
		Resource.media.stop();
	}
});


Views.appealDetailView = $.extend({}, Views.PanelView, {
	patientAppeal: null,
	applyRefund: null,
	refundResult: null,
	title: '',
	options: {
		tmpl: 'appealDetailView',
		name: '申诉处理详情'
	},

	willShow: function(ct) {
		this.render(ct, {
			title: this.title,
			patientAppeal: this.patientAppeal,
			applyRefund: this.applyRefund,
			refundResult: this.refundResult
		});
		this.viewScrollerInit(ct.find('.ui-page-body'));
		this.lineNode();
	},

	lineNode: function () {
		var $nodes = $('.node'),
			length = $nodes.length,
			x1 = $($nodes[0]).offset().left,
			y1 = $($nodes[0]).offset().top,
			x2 = $($nodes[length-1]).offset().left,
			y2 = $($nodes[length-1]).offset().top;
		$($nodes[length-1]).addClass('current');
		var css = {
			'left': x1+5,
			'height': y2-y1
		};
		$('.node-line').css(css);
	},

	didHide: function () {
		this.viewScrollerDestroy();
	}
});

Views.navi3View = $.extend({}, Views.PanelView, {
	tab: 1,
	options: {
		tmpl: 'navi3View',
		name: '我的医生'
	},

	willShow: function(ct) {
		this.render(ct, {tab: this.tab});
		this.viewScrollerInit(ct.find('.my-dr-list'));
		this.loadData();
	},
	loadData: function () {
		var self = this;
		var tmpls = [Views.tmpl.myDrSub1View, Views.tmpl.myDrSub2View],
			ajaxRequest = ['getPrivateDoctors', 'getFollowedDoctors'];
		var ajaxDoneHandler = function (json) {
			if (json.success) {
				if(json.data.length > 0){
					var tmpl = tmpls[self.tab - 1];
					tmpl = Views.tmpl.myDrSub2View;
					$('.my-dr-list div').html(tmpl({imgUrl: IMG_SMALL_URL, doctors: json.data}));
				}
				else{
					$('.my-dr-list div').html(Views.tmpl.defaultNoRecordView);
				}
			}
		};
		if (APPVERSION === 'web') {
			ajaxDoneHandler(TestSuit.my_doctor);
			return;
		}
		DataExchange.getFollowedDoctors({patientId: UserProfile.id}).done(ajaxDoneHandler);
	}
});

Callback.toggleMyDr = function (btnId) {
	var $btn = $('#'+btnId),
		rel = $btn.attr('data-rel');
	$btn.addClass('selected')
		.siblings('.tab-item').removeClass('selected');
	var view = Views.navi3View;
	view.tab = rel;
	view.loadData();
};

function storeViewDataNavi3() {
	var currView = StageManager.getCurrentView();
	var data = {
		scrollY: currView._viewScroller.y,
		htmlStr: $('.my-dr-list div').html()
	}
	Util.data('Views.navi3View.pageBackData', data);
};
Callback.showDrDetailFromNavi3 = function (btnId) {
	var drId = $('#'+btnId).attr('data-rel'),
		toView = Views.drDoctorDetailView;

	storeViewDataNavi3();
	toView.doctorId = drId;
	StageManager.pushView(toView);
};

Views.drDoctorDetailView = $.extend({}, Views.PanelView, {
	doctorId: null,
	options: {
		tmpl: 'drDoctorDetailView',
		name: '医生详情'
	},

	willShow: function(ct) {
		this.loadData(ct);
	},
	loadData: function (ct) {
		var self = this;
		var ajaxDoneHandler1 = function (json1) {
			if(json1.success){
				var opt2 = {
					serviceType: 'A',//代表全部类型的
					doctorId: self.doctorId,
					offset: 0,
					rowCount: 3
				};
				var ajaxDoneHandler2 = function (json2) {
					if(json2.success){
						var data = {
							imgUrl: IMG_SMALL_URL,
							drDetail: json1.data,
							commentAmount: json2.data.count
						};
						self.render(ct, data);
						self.viewScrollerInit(ct.find('.ui-page-body'));
						ct.find('.comment-list').html(Views.tmpl.drCommentListSubView({comments: json2.data.assessList}))
					}
					else{
						var data = {
							imgUrl: IMG_SMALL_URL,
							drDetail: json1.data,
							commentAmount: 0
						};
						self.render(ct, data);
					}
				};
				// 2.get comment list
				if (APPVERSION === 'web') {
					ajaxDoneHandler2(TestSuit.zixun_comment_list);
					return;
				}
				DataExchange.getDrCommentList(opt2).done(ajaxDoneHandler2);
			}
		};
		var opt1 = {
			doctorId: this.doctorId,
			patientId: UserProfile.id
		};
		// 1.get doctor detail information
		if (APPVERSION === 'web') {
			ajaxDoneHandler1(TestSuit.zixun_doc_detail);
			return;
		}
		DataExchange.getDoctorDetail(opt1).done(ajaxDoneHandler1);
	},
	didHide: function () {
		this.viewScrollerDestroy();
	}
});

Callback.toggleFollow = function (btnId) {
	if (StageManager.getCurrentView().options.tmpl == "consultDetailView") {
		if ($("#image_mask").css('display') !== 'none') {
			Callback.closePic1();
			return;
		}
	}
	var $btn = $('#'+btnId);
	if(UserProfile.isUserLoggedIn()){
		if($btn.hasClass('delete-attention')){
			Util.confirm('确定取消？', function(i){
				if(i == 2){
					var options = {
						patientId: UserProfile.id,
						doctorId: $btn.attr('data-rel')
					};
					var ajaxDoneHandler = function (json) {
						if(json.success){
							var $numBtn = $('#follow-num'),
								followNumText = $('#follow-num').text();
							$numBtn.text(Number(followNumText)-1);
							$btn.removeClass('delete-attention').addClass('add-attention');
						}
					};
					DataExchange.unfollowDoctor(options).done(ajaxDoneHandler);
				}
			});
		}
		else{
			var options = {
				patientId: UserProfile.id,
				doctorId: $btn.attr('data-rel')
			};
			var ajaxDoneHandler = function (json) {
				if(json.success){
					var $numBtn = $('#follow-num'),
						followNumText = $('#follow-num').text();
					$numBtn.text(Number(followNumText)+1);
					$btn.removeClass('add-attention').addClass('delete-attention');
				}
			};
			DataExchange.followDoctor(options).done(ajaxDoneHandler);
		}
	}

};

Callback.ifShowPageTeletextConsult = function (btnId) {
	if (!Util.loginSuggest()) return;
	var $btn = $('#'+btnId),
		sessionId = $btn.attr('session-id'),
		doctorId = $btn.attr('dr-id'),
		doctorName = $btn.attr('dr-name'),
		price = $btn.attr('price');
	// sessionId > 0: user has already bought the teletext consult
	if(sessionId > 0){
		var view = Views.consultDetailView;
		view.prepareData = {
			sessionId: sessionId,
			familyDoctorRelId: 0,
			doctorId: doctorId,
			serviceType: 'T'// 'T' represents teletext consult
		};
		StageManager.pushView(view);
	}
	else{
		var view = Views.drTeletextConsultView;
		view.doctorId = doctorId;
		view.price = price;
		view.doctorName = doctorName;
		StageManager.pushView(view);
	}
};

Views.drTeletextConsultView = $.extend({}, Views.PanelView, {
	doctorId: 0,
	price: 0,
	doctorName: '',
	options: {
		tmpl: 'drTeletextConsultView',
		name: '图文咨询首页'
	},

	init: function () {
		this.offset = 0;
		this.rowCount = 5;
		this.serviceType = 'T';
	},
	willShow: function(ct) {
		this.init();
		this.render(ct, {doctorId: this.doctorId, doctorName: this.doctorName, price: this.price});
		this.loadData(ct);
		this.viewScrollerInit(ct.find('.scroll-area'));
	},

	loadData: function (ct) {
		var self = this;
		function loadCommentList() {
			var opt = {
				doctorId: self.doctorId,
				serviceType: self.serviceType,
				offset: self.offset,
				rowCount: self.rowCount
			};
			var ajaxDoneHandler = function (json) {
				if(json.success){
					ct.find('.comment-list').html(Views.tmpl.drCommentListSubView({comments: json.data.assessList})).end()
						.find('#comment-amount').html(json.data.count);
					if(!json.data.count){
						$('.more-up').hide();
					}
				}
			};
			if (APPVERSION === 'web') {
				ajaxDoneHandler(TestSuit.zixun_comment_list);
				return;
			}
			DataExchange.getDrCommentList(opt).done(ajaxDoneHandler);
		}

		loadCommentList();
	},

	didHide: function () {
		this.viewScrollerDestroy();
	}
});

Callback.loadMoreComments = function (btnId) {
	var currView = StageManager.getCurrentView();
	var ajaxDoneHandler = function (json) {
		if(json.success){
			var tmpl = Views.tmpl.drCommentListSubView;
			$('.comment-list').append(tmpl({comments: json.data.assessList}));
			if(json.data.assessList.length == 0){
				$('.more-up').hide();
			}
		}
		else{
			$('.more-up').hide();
		}
	};
	currView.offset += currView.rowCount;
	var options = {
		offset: currView.offset,
		rowCount: currView.rowCount,
		doctorId: currView.doctorId,
		serviceType: currView.serviceType
	};
	if (APPVERSION === 'web') {
		ajaxDoneHandler(TestSuit.zixun_comment_list);
		return;
	}
	DataExchange.getDrCommentList(options).done(ajaxDoneHandler);
};

Callback.showDrAllCommentList = function (btnId) {
	var view = Views.drCommentListView;
	view.doctorId = $('#'+btnId).attr('data-rel');
	StageManager.pushView(view);
};

Views.drCommentListView = $.extend({}, Views.PanelView, {
	doctorId: 0,
	options: {
		tmpl: 'drCommentListView',
		name: '医生历史评价列表'
	},
	init: function () {
		this.offset = 0;
		this.rowCount = 5;
	},
	willShow: function(ct) {
		var self = this;
		this.init();
		this.render(ct);
		this.pullRefresher = Util.makeScrollableWithPullRefresh(
			ct.find('.ui-page-body'), self, {
				onPullDownRefresh: self.onPullDownRefresh,
				onPullUpRefresh: self.onPullUpRefresh
			}
		);
	},
	onPullDownRefresh: function() {
		this.loadComments();
	},
	onPullUpRefresh: function(){
		this.loadComments(true);
	},
	loadComments: function (isAppend) {
		var self = this;
		if(isAppend){
			self.offset += self.rowCount;
		}
		else{
			$('#pullUp').show();
			self.offset = 0;
		}
		var ajaxDoneHandler = function (json) {
			if(json.success){
				var tmpl = Views.tmpl.drCommentListSubView;
				$('#pullUp .pullup-inner').text('向上加载更多');
				$('.sum span').text(json.data.count);
				if(isAppend){
					$('.comment-list').append(tmpl({comments: json.data.assessList}));
				}
				else{
					$('.comment-list').html(tmpl({comments: json.data.assessList}));
				}
				if(json.data.assessList.length == 0){
					if(self.offset == 0){
						$('.comment-list').html(Views.tmpl.defaultNoRecordView);
					}
					$('#pullUp .pullup-inner').text('');
				}
			}
		};
		var options = {
			offset: self.offset,
			rowCount: self.rowCount,
			doctorId: self.doctorId,
			serviceType: 'A'
		};
		if (APPVERSION === 'web') {
			ajaxDoneHandler(TestSuit.zixun_comment_list);
			return;
		}
		DataExchange.getDrCommentList(options).done(ajaxDoneHandler);
	},
	didHide: function () {
		this.viewScrollerDestroy();
		if (this.pullRefresher) {
			this.pullRefresher.destroy();
			this.pullRefresher = null;
		}
	}
});

Views.navi2View = $.extend({}, Views.PanelView, {
	options: {
		tmpl: 'navi2View',
		name: '找医生'
	},
	init: function () {
		this.offset = 0;
		this.sortType = this.sortType || 1;
		this.rowCount = 5;
	},
	willShow: function(ct) {
		this.init();
		this.render(ct);
		ct.find('.search-mask').html(Views.tmpl.searchMaskView({callback: 'searchDr'}));
		Widget.popupLoading();
	},
	didShow: function () {
		var self = this;
		setTimeout(function () {
			Widget.popupLoadingClose();
			self.navi2PullRefresher = Util.makeScrollableWithPullRefresh(
				$('#findDoc'), self, {
					onPullDownRefresh: self.onPullDownRefresh,
					onPullUpRefresh: self.onPullUpRefresh
				}
			);
		}, 500);
	},
	onPullDownRefresh: function() {
		var view = Views.navi2View;
		var data = Util.data('Views.navi2View.pageBackData');
		if(data){
			// restore the data to avoid refreshing the page view
			Widget.popupLoading('正在获取数据中...');
			$('#dept-name').text(view.deptName || '选择科室');
			$('#sequence-name').text(view.sortName || '选择排序');
			$('#refresh-content').html(data.htmlStr);
			setTimeout(function(){
				if(data){
					Views.navi2View.navi2PullRefresher.scrollTo(0, data.scrollY, 500);
					Util.data('Views.navi2View.pageBackData', '');
					Widget.popupLoadingClose();
				}
			}, 800);
			view.offset = data.offset;
			view.sortType = data.sortType;
			view.deptId = data.deptId;
		}
		else {
			view.loadDoctors();
		}
	},
	onPullUpRefresh: function(){
		var view = Views.navi2View;
		view.loadDoctors(true);
	},
	loadDoctors: function (isAppend) {
		var self = Views.navi2View;
		$('#dept-name').text(self.deptName || '选择科室');
		$('#sequence-name').text(self.sortName || '选择排序');
		if(isAppend){
			self.offset += self.rowCount;
		}
		else{
			self.offset = 0;
		}
		var ajaxDoneHandler = function (json) {
			var tmpl = Views.tmpl.navi2SubView;
			if(json.success && json.data.length > 0){
				$('#pullUp .pullup-inner').text('向上加载更多');
				if(isAppend){
					setTimeout(function(){
						$('#refresh-content').append(tmpl({doctors: json.data, imgUrl: IMG_SMALL_URL}));
					},50);
				}
				else{
					setTimeout(function(){
						$('#refresh-content').html(tmpl({doctors: json.data, imgUrl: IMG_SMALL_URL}));
					},50);
				}
			}
			else{
				if(!isAppend){
					$('#refresh-content').html(tmpl({doctors: []}));
				}
				$('#pullUp .pullup-inner').text('');
			}
		};
		var options = {
			data: {
				sortType: self.sortType,
				offset: self.offset,
				rowCount: self.rowCount,
				deptId: self.deptId,
				patientId: UserProfile.id
			}
		};
		if (APPVERSION == 'web') {
			ajaxDoneHandler(TestSuit.zixun_find_doctors);
			return;
		}
		DataExchange.getDoctorList(options).done(ajaxDoneHandler);
	},
	didHide: function (){
		this.viewScrollerDestroy();
		if(this.maskViewScroller){
			this.maskViewScroller.destroy();
			this.maskViewScroller = null;
		}
		if (this.navi2PullRefresher) {
			this.navi2PullRefresher.destroy();
			this.navi2PullRefresher = null;
		}
	}
});

Callback.showSortMask = function (btnId) {
	var $btn = $('#'+btnId),
		rel = $btn.attr('data-rel'),
		list = [];
	if(rel == '1'){
		list = DataDef.sortDepts;
	} else {
		list = DataDef.sortSequences;
	}

	function renderList (list) {
		var html = '';
		for(var i = 0, len = list.length; i < len; i++){
			html += '<li class="ui-btn sort-row '+
				list[i].css+'" data-action="'+
				list[i].action+'" data-rel="'+
				list[i].data+'">'+list[i].name+'</li>';
		}
		return html;
	}

	$('.sort-mask-list ul').html(
		renderList(list)
	);

	function  changeStatus($btn) {
		var topStr = 'i-arrow-top',
			bottomStr = 'i-arrow-bottom',
			arrow = '.i-arrow',
			actionValue = 'data-action';
		$btn.attr(actionValue, 'hideSortMask')
			.find(arrow).addClass(topStr).removeClass(bottomStr)
			.end().siblings().attr(actionValue, 'showSortMask')
			.find(arrow).removeClass(topStr).addClass(bottomStr);
		$btn = null;
	}
	changeStatus($btn);

	$('.sort-mask, .sort-mask-list').show();

	function changeScroller () {
		var currentView = StageManager.getCurrentView();
		currentView.navi2PullRefresher.disable();
		if (currentView.maskViewScroller) {
			currentView.maskViewScroller.enable();
		} else {
			currentView.maskViewScroller = Util.makeScrollable($('.sort-mask-list'));
		}
	}
	changeScroller();

};
Callback.searchDr = function (el) {
	var $input = $(el).find('input'),
		text = $input.val();
	if(!text.trim()){
		Widget.popupToast('请输入有效信息');
		$input.val('');
		return false;
	}
	var ajaxDoneHandler = function (json) {
		$input.blur();
		if(json.success){
			setTimeout(function() {
				$('.my-search-consult-list div').html(Views.tmpl.searchMaskSubView({imgUrl: IMG_SMALL_URL, items: json.data}));
			},100);
		}
		else{
			$('.my-search-consult-list div').html('');
		}
	};
	var options = {
		sortType: 'A',
		data: {
			doctorName: text,
			offset: 0,
			rowCount: 100
		}
	};
	DataExchange.getDoctorList(options).done(ajaxDoneHandler);
	return false;
};
Callback.hideSortMask = function (btnId) {
	$('#' + btnId).attr('data-action', 'showSortMask')
		.find('.i-arrow').removeClass('i-arrow-top').addClass('i-arrow-bottom');

	$('.sort-mask,.sort-mask-list').hide();

	function changeScroller () {
		var view = StageManager.getCurrentView();
		view.navi2PullRefresher.enable();
		view.maskViewScroller.disable();
	}
	changeScroller();

};
Callback.hideSortMaskOnMask = function (btnId) {
	var triggerId = $('[data-action="hideSortMask"]').attr('id');
	Callback.hideSortMask(triggerId);
};
Callback.showDoctorsByDept = function (btnId) {
	var $btn = $('#'+btnId),
		rel = $btn.attr('data-rel'),
		text = $btn.text(),
		view = Views.navi2View,
		triggerId = $('.ui-tab-item').eq(0).attr('id');
	Callback.hideSortMask(triggerId);
	view.deptId = rel;
	view.deptName = text;
	view.navi2PullRefresher.scrollTo(0, 0);
	view.loadDoctors();
};
Callback.showDoctorsBySequence = function (btnId) {
	var $btn = $('#'+btnId),
		rel = $btn.attr('data-rel'),
		text = $btn.text(),
		view = Views.navi2View,
		triggerId = $('.ui-tab-item').eq(1).attr('id');
	Callback.hideSortMask(triggerId);
	view.sortType = rel;
	view.sortName = text;
	view.navi2PullRefresher.scrollTo(0, 0);
	view.loadDoctors();
};

Callback.showSearchMask = function (btnId) {
	var clientHeight = document.body.clientHeight;
	$('#navi2View').height(clientHeight);
	$('.search-mask').show();
	$('.search-div').show();
	$('#navi2View').find('input').removeAttr('readonly').focus();

	function changeScroll() {
		var view = StageManager.getCurrentView();
		if(view._viewScroller){
			view._viewScroller.disable();
		}
		if(view.navi1PullRefresher){
			view.navi1PullRefresher.disable();
		}
		if(view.navi2PullRefresher){
			view.navi2PullRefresher.disable();
		}
		view.maskViewScroller = Util.makeScrollable($('.my-search-consult-list'));
	}
	changeScroll();
};

Callback.clearSearchContent = function(btnId){
    $('input[type=search]').val('');
    var thisView = StageManager.getCurrentView();
    if(thisView.options.name === '找医生' && thisView.options.tmpl === 'navi2View'){
        $('.my-search-consult-list div').html('');
    }
};

Callback.hideSearchMask = function (btnId) {
	var clientHeight = document.body.clientHeight;
	$('#navi2View').height(clientHeight);
	$('.search-mask').hide();
	$('.search-div').hide();
	$('#navi2View').find('input').val('').attr('readonly', 'readonly').blur();

	function changeScroll() {
		var view = StageManager.getCurrentView();
		if(view._viewScroller){
			view._viewScroller.enable();
		}
		if(view.navi1PullRefresher){
			view.navi1PullRefresher.enable();
		}
		if(view.navi2PullRefresher){
			view.navi2PullRefresher.enable();
		}
		view.maskViewScroller.disable();
	}
	changeScroll();

};

Callback.showDrDetailView = function (btnId) {
	function storeViewData () {
		var currView = StageManager.getCurrentView();
		var data = {
			scrollY: currView.navi2PullRefresher.y,
			offset: currView.offset,
			deptId: currView.deptId,
			sortType: currView.sortType,
			htmlStr: $('#refresh-content').html()
		}
		Util.data('Views.navi2View.pageBackData', data);
	};
	var drId = $('#'+btnId).attr('data-rel'),
		toView = Views.drDoctorDetailView;
	storeViewData();
	toView.doctorId = drId;
	StageManager.pushView(toView);
};

Views.vouchersView = $.extend({}, Views.PanelView, {
	options: {
		tmpl: "vouchersView",
		name: "我的代金卷"
	},
	willShow: function (ct) {

		$('#pullDown').remove();

		this.render(ct);

		this._viewScroller = Util.makeScrollableWithPullRefresh($('#vouchers'), {
			onPullDownRefresh: this.ajax
		});
	},
	pageNum: 0,
	pageSize: 5,
	sub: "vouchersSubView",
	//下拉刷新的pageNum 无值
	ajax: function (pageNum) {
		//pageNum 不是数字，则重设为0
		if (isNaN(pageNum)) {
			pageNum = 0;
		}
		pageNum ++;
		function success(json) {
			var len = json.data.length;
			if (json.success) {
				//如果数据的长度>0，则重设pageNum
				if (len) {
					this.pageNum = pageNum;
				}
				var sub = $('#content'),
					html = Views.tmpl.vouchersSubView({
						data: json.data
					});
				//如果是第一页，替换content内容，
				// 并且，强制显示加载更多(存在页面到底加载更多已经消失，再去下拉刷新的情况)
				if (pageNum === 1) {
					if(!len){
						html = Views.tmpl.defaultNoRecordView;
					}
					sub.html(html);
					$('#a_pullUp').show();
				} else {
					sub.append(html);
				}
				//长度不到请求的长度则隐藏加载更多
				if (len < this.pageSize) {
					$('#a_pullUp').hide();
				}
			}
		}
		if (APPVERSION === 'web') {
			success(TestSuit.zixun_daijin);
			return;
		}
		return DataExchange.vouchers({
			"pageNum": pageNum,
			"pageSize": Views.vouchersView.pageSize
		}).success(success.bind(Views.vouchersView));
	},
	willHide: function () {
		this.pageNum = 0;
		this.viewScrollerDestroy();
	}
});

Callback.loadMore = function (btnId) {
	var current = StageManager.getCurrentView();
	current.ajax(current.pageNum || current.offset);
};



Callback.evaluateConsult = function (btnId) {
	var $btn = $('#'+btnId),
		sessionId = $('#i-session-id').val(),
		drId = $('#i-doctor-id').val(),
		refId = $('#i-ref-id').val(),
		serviceType = $('#i-service-type').val(),
		view = Views.doEvaluateView;
	view.assistData = {
		refId: sessionId,
		serviceType: serviceType,
		patientSex: $btn.attr('patient-sex'),
		patientAge: $btn.attr('patient-age')
	};
	if(serviceType == 'F'){
		view.assistData.refId = refId;
	}
	// prepare for page back prepareData
	Views.consultDetailView.prepareData = {
		sessionId: sessionId,
		doctorId: drId,
		serviceType: serviceType
	};
	// fuck the backend dev-man's asshole,
	// once refId(family doctor), the other sessionId(teletext)
	// fuck your ancestor
	StageManager.pushView(view);
};

Views.doEvaluateView = $.extend({}, Views.PanelView, {
	assistData: {
		refId: 0,
		serviceType: ''
	},
	options: {
		tmpl: 'doEvaluateView',
		name: '进行评价'
	},

	willShow: function(ct) {
		Views.doAppealView.assistData = this.assistData;
		this.render(ct);
		this.viewScrollerInit(ct.find('.ui-page-body'));
	},

	didHide: function () {
		this.viewScrollerDestroy();
	}
});

Views.doAppealView = $.extend({}, Views.PanelView, {
	assistData: {
		refId: 0,
		serviceType: ''
	},
	options: {
		tmpl: 'doAppealView',
		name: '服务申诉'
	},

	willShow: function(ct) {
		this.render(ct);
		this.viewScrollerInit(ct.find('.ui-page-body'));
	},

	didHide: function () {
		this.viewScrollerDestroy();
	}
});

Callback.selectStar = function(btnId) {
	var $btn = $('#'+btnId);
	$btn.addClass('full').nextAll('.img').addClass('full')
		.end().prevAll('.img').removeClass('full');
};

Callback.showDoAppealView = function (btnId) {
	var toView = Views.doAppealView,
		currView = StageManager.getCurrentView();
	toView.assistData = currView.assistData;
	StageManager.pushView(toView);
};

Callback.submitConsultAppeal = function (btnId) {
	var view = StageManager.getCurrentView(),
		text = $('#appeal-text').val().trim();
	if(text.length < 10 || text.length > 500){
		Widget.popupToast('申诉内容请控制在10~500字之间');
		return;
	}
	var options = {
		patientId: UserProfile.id,
		refId: view.assistData.refId,
		text: text,
		serviceType: view.assistData.serviceType
	};
	var ajaxDoneHandler = function (json) {
		if(json.success){
			Widget.popupToast('您的申述已被受理，我们的客服人员将会尽快与您取得联系！', null, 4000);
			StageManager.pushView(Views.mainView);
		}
	};
	DataExchange.addConsultAppeal(options).done(ajaxDoneHandler);
};

Views.zixunFeeRecordView = $.extend({}, Views.PanelView, {
	options: {
		tmpl: "zixunFeeRecordView",
		name: "消费记录"
	},
	sub: "zixunFeeRecordSubView",
	willShow: function (ct) {
		//修复BUG，如果前一个页面有用到 Util.makeScrollableWithPullRefresh,当前页面也用到
		//就会引发进入页面不会自动下拉刷新的BUG，需要把前一个的pullDown元素移除
		$('#pullDown').remove();
		this.render(ct);
		this.scrollerRefresh = Util.makeScrollableWithPullRefresh($('#feeRecord'),{
			onPullDownRefresh: this.ajax
		});
	},

	pageNum: null,
	scrollerRefresh: null,

	//消费记录的pageNum是类似2014-06的值，
	// 初始的时候即下拉刷新不用传值，后续则根据后台传来的值中的 updateTime 进行设置pageNum
	ajax: function (pageNum) {
		function success(json) {
			if (json.success) {
				if (json.data.length) {
					var dateTime = json.data[0].updateTime;
					this.pageNum = dateTime.substring(0, dateTime.lastIndexOf('-'));
					var sub = $('#content'),
						html = Views.tmpl.zixunFeeRecordSubView({
							data: json.data
						});
					// 不存在pageNum，则替换content内容，存在则添加
					if (!pageNum) {
						sub.html(html);
						$('#a_pullUp').show();
					} else {
						sub.append(html);
					}
				} else {
					if(!pageNum){
						$('#content').html(Views.tmpl.defaultNoRecordView);
					}
					//没有数据，则隐藏加载更多
					$('#a_pullUp').hide();
				}

			}
		}
		if (APPVERSION === 'web') {
			success(TestSuit.zixun_fee_record);
			return;
		}
		return DataExchange.feeRecord({
			"patientId": UserProfile.id,
			"yearMonth": pageNum
		}).success(success.bind(Views.zixunFeeRecordView));
	},
	willHide: function () {
		this.pageNum = null;
		if (this.scrollerRefresh) {
			this.scrollerRefresh.destroy();
			this.scrollerRefresh = null;
		}

	}
});
//查询咨询列的内容
Callback.showFeeRecordDetail = function (btnId) {
	var id = $('#' + btnId).attr('data-id');
	if (APPVERSION === 'web') {
		Views.zixunFeeRecordDetailView.init(TestSuit.zixun_fee_detail_record.data);
		return;
	}
	DataExchange.feeRecordDetail({
		id: id
	}).success(function(json) {
			if (json.success) {
				Views.zixunFeeRecordDetailView.init(json.data);
			}
		});
};

Views.zixunFeeRecordDetailView = $.extend({}, Views.PanelView, {
	options: {
		tmpl: "zixunFeeRecordDetailView",
		name: "消费记录详情"
	},
	init: function (data) {
		this.data = data;
		StageManager.pushView(this);
	},
	willShow: function (ct) {
		this.render(ct, this.data);
	},
	willHide: function () {
		//离开页面则删除对应的内容
		delete this.data;
	}
});

Views.paymentView = $.extend({}, Views.PanelView, {
	// payData.type:
	// 'W' or 'M' stands for familyDoctor;
	// 'T' stands for teletext consult;
	// 'P' stands for telephone consult.
	payData: {back: false},
	options: {
		tmpl: 'paymentView',
		name: '支付订单'
	},

	willShow: function(ct) {
		this.loadAndRender(ct);
	},
	loadAndRender: function (ct) {
		var self = this,
			couponView = Views.payCashCouponView;
		var entranceRender = function () {
			var options = {
				patientId: UserProfile.id,
				data: {
					maskCode: 0,// 4: familyDoctor; 1: teletext; 2: telephone
					status: 'N'// coupons that not yet used up
				}
			};
			switch (self.payData.type) {
				case 'W':
					options.data.maskCode = 4;
					break;
				case 'M':
					options.data.maskCode = 4;
					break;
				case 'T':
					options.data.maskCode = 1;
					break;
				case 'P':
					options.data.maskCode = 2;
					break;
			}
			var ajaxDoneHandler = function (json) {
				if(json.success){
					couponView.coupons = json.data;
					var length = json.data.length,
						couponText =  length > 0 ? '您有'+ length+'张可用抵价券' : '您无可用的抵价券';
					var renderData = {
						couponLength: length,
						couponText: couponText,
						price: self.payData.price,
						remainPrice: self.payData.price > 0 ? self.payData.price : 0,
						doctorId: self.payData.doctorId,
						type: self.payData.type,
						phoneTimeId: self.payData.phoneTimeId,
						phoneDate: self.payData.phoneDate,
						timePeriod: self.payData.timePeriod
					};
					self.render(ct, renderData);
					ct.find('.confirm-btn').addClass('ui-btn');
					self.viewScrollerInit(ct.find('.ui-page-body'));
					self.payData.back = false;
				}
			};
			if (APPVERSION === 'web') {
				ajaxDoneHandler(TestSuit.zixun_pay_list);
				return;
			}
			DataExchange.getCouponListWhenPay(options).done(ajaxDoneHandler);
		};
		var pageBackRender = function () {
			var payData = self.payData;
			var renderData = {
				couponLength: couponView.coupons.length,
				couponText: payData.couponPrice+'元抵价券',
				couponId: payData.couponId,
				price: payData.price,
				remainPrice: (payData.price-payData.couponPrice) > 0 ? (payData.price-payData.couponPrice): 0,
				doctorId: payData.doctorId,
				type: self.payData.type,
				phoneTimeId: self.payData.phoneTimeId,
				phoneDate: self.payData.phoneDate,
				timePeriod: self.payData.timePeriod
			};
			self.render(ct, renderData);
			ct.find('.confirm-btn').addClass('ui-btn');
			self.viewScrollerInit(ct.find('.ui-page-body'));
			self.payData.back = false;
		};

		if(!self.payData.back){
			entranceRender();
		}
		else{
			// page back from payCashCouponView
			pageBackRender();
		}
	},

	didHide: function () {
		this.viewScrollerDestroy();
	}
});

Views.payCashCouponView = $.extend({}, Views.PanelView, {
	coupons: [],
	options: {
		tmpl: 'payCashCouponView',
		name: '现金代金券'
	},
	willShow: function (ct) {
		this.render(ct, {coupons: this.coupons});
		this.viewScrollerInit(ct.find('.ui-page-body'));
	}
});

Callback.selectOneCoupon = function (btnId) {
	$('#'+btnId).find('.check').addClass('checked').removeClass('unchecked').end()
		.siblings('.row').find('.check').addClass('unchecked').removeClass('checked');
};
Callback.selectCouponAndBack = function (btnId) {
	var $checked = $('.checked'),
		$coupon = $checked.parents('.row');
	if($checked.length == 0){
		Widget.popupToast('请选择一张抵价券');
		return;
	}
	var view = Views.paymentView;
	view.payData.back = true;
	view.payData.couponPrice = $coupon.attr('amount');
	view.payData.couponId = $coupon.attr('coupon-id');
	StageManager.popView();
};

Callback.teletextConsult2Payment = function (btnId) {
	if(!Util.loginSuggest()){
		return Util.loginSuggest();
	}
	var $btn = $('#'+btnId),
		view = Views.paymentView;
	view.payData = {
		patientId: UserProfile.id,
		doctorId: $btn.attr('dr-id'),
		type: 'T',
		price: $btn.attr('price')
	};
	StageManager.pushView(view);
};

Callback.selectPayPattern = function (btnId) {
	var $btn = $('#'+btnId);
	$btn.find('.check').removeClass('unchecked').addClass('checked').end()
		.siblings('.wide-row').find('.check').addClass('unchecked').removeClass('checked');
	Util.data("cache.selectedPayWay", $btn.attr('data-rel'));
};

Callback.goPay = function (btnId) {
	if($('.pay-pattern').is(":visible") && $('.pay-pattern .checked').length == 0){
		Widget.popupToast('请选择支付方式');
		return;
	}
	var $btn = $('#'+btnId);

	Util.log('**********function -----------> toRecharge******************');
	if($('.pay-pattern').is(":hidden")){
		Widget.popupLoading('正在进行零元支付...');
		zeroPay(btnId);
	}
	else{
		if ('alipayPage' == Util.data("cache.selectedPayWay")) {
			Widget.popupLoading('正在跳转至支付宝网页...');
			alipayWebPagePlatform(btnId);
		} else if ('alipayQuick' == Util.data("cache.selectedPayWay")) {
			Widget.popupLoading('正在跳转至支付宝客户端...');
			if (mobile_system == "android") {
				androidAlipayFast(btnId);
			} else {
				iosAlipayFast(btnId);
			}
		} else if ('unionpayUPMP' == Util.data("cache.selectedPayWay")) {
			Widget.popupLoading('正在跳转至银联支付...');
			if (mobile_system == "android") {
				androidUnionPay();
			} else {
				iosUnionPay();
			}
		} else if ('wxpay' == Util.data("cache.selectedPayWay")) {
			Widget.popupLoading('正在跳转至微信支付...');
			if (mobile_system == "android") {
				androidWXPay();
			} else {
				iosWXPay();
			}
		} else {
			Widget.popupToast('请选择支付方式...');
			return;
		}
	}
};

Callback.applyCloseConsult = function (btnId) {
	var serviceType = $('#i-service-type').val();
	Util.confirm('关闭咨询后，将不能再进行提问。确定关闭咨询？', function(i){
		if(i == 2){
			var options = {
				sessionId: $('#i-session-id').val()
			};
			var ajaxDoneHandler = function (json) {
				if(json.success){
					$('.bottom-area').find('.first-consult,.next-consult').hide().end()
						.find('.end-consult').show();
					$('.ui-header .next-consult').hide();
					Callback.evaluateConsult('_id_wypj');
				}
			};
			DataExchange.applyCloseConsult(options).done(ajaxDoneHandler);
		}
	});
};


Callback.addConsultComment = function (btnId) {
	var scoreTotal = $('#score-total .full').length;
	if(scoreTotal == 0){
		Widget.popupToast('请对总体满意度进行打分');
		return;
	}
	var scoreManner = $('#score-manner .full').length;
	if(scoreManner == 0){
		Widget.popupToast('请对服务态度进行打分');
		return;
	}
	var scoreResponse = $('#score-response .full').length;
	if(scoreResponse == 0){
		Widget.popupToast('请对响应速度进行打分');
		return;
	}
	var scoreExpertise = $('#score-expertise .full').length;
	if(scoreExpertise == 0){
		Widget.popupToast('请对专业程度进行打分');
		return;
	}
	var comment = $('#comment').val().trim();
	if(comment.length > 200){
		Widget.popupToast('评价内容请控制在200字以内');
		return;
	}
	var data = Views.doEvaluateView.assistData;
	// serviceType分为T、P、F
	var options = {
		refId: data.refId,
		serviceType: data.serviceType,
		scoreTotal: scoreTotal,
		scoreManner: scoreManner,
		scoreResponse: scoreResponse,
		scoreExpertise: scoreExpertise,
		comment: comment,
		patientAge: data.patientAge,
		patientSex: data.patientSex
	};
	var ajaxDoneHandler = function (json) {
		if(json.success){
			Callback.pageBack();
		}
	};
	DataExchange.addDrComment(options).done(ajaxDoneHandler);
};

Callback.sendFirstQuestion = function (btnId) {
	var member = Util.data('current.member'),
		age = 18,
		desc = $('#desc').val(),
		sex = '',
		sexWord = $('.condition .checked').text();
	if (!member.age || member.age == 0) {
		age = 18;
	}
	if(desc.trim() === ''){
		Widget.popupToast('请输入您的症状');
		return;
	}
	sex = member.sex === 'MALE' ? 'M' : 'F';
	var opts = {
		sessionId: $('#i-session-id').val(),
		patientSex: sex,
		patientAge: age,
		symptomDesc: desc
	};

	var string = WEB_URL + '/resident/recordInfo/historyRecord/000/' + member.id;
	string += '@name=' + member.name + ';age=' + member.age +';sex=' + (member.sex == 'MALE' ? 'M' : 'F') + ';memberId=' + member.memberId;
	var options = {
		sessionId: $('#i-session-id').val(),
		sendBy: 'P',
		type: 'M',
		content: string,
		sendTime: DateUtil.formatWithPatternDate('yyyy-mm-dd HH:ii', new Date())
	};
	var ajaxDoneHandler0 = function (json0) {
		if(json0.success){
			$('#selectMember').removeClass('ui-btn');
			$('#arrow').hide();
			var ajaxDoneHandler = function (json) {
				if(json.success){
					$('.first-consult').hide().end()
						.find('.end-consult').hide().end()
						.find('.next-consult').show();
					// 家庭医生咨询不需要出现关闭按钮
					if($('#i-service-type').val() == 'F'){
						$('.ui-header .next-consult').hide();
					}
					var consults = [{
						id: $('#i-session-id').val(),
						sessionId: this.id,
						sendBy: 'P',
						sex: member.sex,
						peopleId: member.id,
						msgId: json.data,
						type: 'T',
						content: desc,
						attachedData: null,
						sendTime: DateUtil.formatWithPatternDate('yyyy-mm-dd HH:ii', new Date())
					}];
					$('#refresh-content').html(Views.tmpl.consultDetailFloorView({
						consults: consults,
						imgUrl: IMG_SMALL_URL
					}));
					$('.evaluate-btn').attr({
						'patient-sex': sex,
						'patient-age': age
					});
				}
			};
			DataExchange.addFirstConsult(opts).done(ajaxDoneHandler);
		} else {
			Widget.popupToast('服务异常，请重试');
		}
	};
	DataExchange.addFollowUpConsult(options).done(ajaxDoneHandler0);
};

Callback.sendTextMsg = function (btnId) {
	var $area = $('#text-content'),
		content = $area.val();
	if(!$area.val().trim()){
		Widget.popupToast('发送内容不能为空');
		return;
	}
	var options = {
		sessionId: $('#i-session-id').val(),
		sendBy: 'P',
		type: 'T',
		content: content,
		sendTime: DateUtil.formatWithPatternDate('yyyy-mm-dd HH:ii', new Date())
	};
	var ajaxDoneHandler = function (json) {
		if(json.success){
			var view = Views.consultDetailView,
				floorViewTmpl = Views.tmpl.consultDetailFloorView;
			var consults = [{
				id: $('#i-session-id').val(),
				sessionId: this.id,
				sendBy: 'P',
				sex: $('#zixun_name').attr('member-sex'),
				msgId: json.data,
				peopleId: UserProfile.id,
				type: 'T',
				content: $area.val(),
				attachedData: '',
				sendTime: DateUtil.formatWithPatternDate('yyyy-mm-dd HH:ii', new Date())
			}];
			$('#refresh-content').append(floorViewTmpl({
				consults: consults,
				imgUrl: IMG_SMALL_URL
			}));
			$area.val('').removeAttr('placeholder');
			view.scrollToEndDialog();
		}
	};
	DataExchange.addFollowUpConsult(options).done(ajaxDoneHandler);
};
Callback.takePicture = function () {
	$('.camera-choice').toggle();
	getPhoto(navigator.camera.PictureSourceType.CAMERA);
};
Callback.pickImage1 = function(){
	$('.camera-choice').toggle();
	getPhoto(navigator.camera.PictureSourceType.SAVEDPHOTOALBUM);
};
Callback.enlargePic1 = function(btnId){
	var $mask = $("#image_mask"),
		$imageScroll = $mask.find(".image-scroll"),
		$fakeWrapper = $imageScroll.find(".fake-wrapper"),
		$img = $fakeWrapper.find("img"),
		currentSrc = $img.attr("src"),
		displayScr = $("#"+btnId).attr("src");
	if(currentSrc!==displayScr){
		$img.attr("src",displayScr);
		$fakeWrapper.css({width:'100%'});
		$img.css({width:'100%'});
	}
	$mask.css("display","block");
	Views.consultDetailView.imageScroll = Util.makeScrollable($imageScroll);
};
Callback.closePic1 = function(btnId){
	var $ele = $("#image_mask");
	$ele.css("display","none");
	Views.consultDetailView.imageScroll.destroy();
};
Callback.imageControl = function(btnId){
	var $btn = $("#"+btnId),
		type = $btn.attr("data-rel"),
		$fakeWrapper = $("#image_mask").find(".fake-wrapper"),
		$img = $fakeWrapper.find("img");
	var ratio = type=="plus"?1.1:0.9,
		width = $img.width()*ratio+"px";
	$img.css({"width":width});
	$fakeWrapper.css({"width":width});
}

var pictureSource;   // picture source
var destinationType; // sets the format of returned value

// Wait for device API libraries to load
//
document.addEventListener("deviceready",onDeviceReady,false);
// device APIs are available
//
function onDeviceReady() {
	pictureSource=navigator.camera.PictureSourceType;
	destinationType=navigator.camera.DestinationType;
}

// Called when a photo is successfully retrieved
//
function onPhotoDataSuccess(imageData) {
	// Uncomment to view the base64-encoded image data
	var imageSrc = "data:image/jpeg;base64," + imageData;
	var consults = [{
		id: $('#i-session-id').val(),
		sessionId: this.id,
		sendBy: 'P',
		type: 'P',
		content: imageSrc,
		attachedData: '',
		sendTime: DateUtil.formatWithPatternDate('yyyy-mm-dd HH:ii', new Date())
	}];
	$('#refresh-content').append(Views.tmpl.consultDetailFloorView({
		consults: consults,
		imgUrl: IMG_SMALL_URL
	}));
	var opt1 = {
		file: $(".display-image-wrapper img").attr("src"),
		url: WEB_URL_R + "/image",
		data: {
			app: 'soft-consult'
		},
		onSuccess: 'imgUploadedSuccess',
		onError: 'imgUploadedFail'
	};
	FSManager.upload(opt1);
}
Callback.imgUploadedSuccess = function (r) {
	var json1 = JSON.parse(r.response);
	if (json1.success) {
		var jd1 = json1.data;
		var opt = {
			sessionId: $('#i-session-id').val(),
			sendBy: 'P',
			type: 'P',
			content: jd1.name+';'+jd1.width+';'+jd1.height,
			sendTime: DateUtil.formatWithPatternDate('yyyy-mm-dd HH:ii:ss', new Date())
		};
		var ajaxDoneHandler = function (json2) {
			var view = Views.consultDetailView,
				ratio = jd1.width / view.thumbnailWidth;
			var consults = [{
				id: $('#i-session-id').val(),
				sessionId: this.id,
				sendBy: 'P',
				sex: $('#zixun_name').attr('member-sex'),
				msgId: json2.data,
				peopleId: UserProfile.id,
				type: 'P',
				content: view.localImgPath,
				imgSrc: view.localImgPath,
				imgWidth: view.thumbnailWidth,
				imgHeight: jd1.height / ratio,
				attachedData: '',
				sendTime: DateUtil.formatWithPatternDate('yyyy-mm-dd HH:ii', new Date())
			}];
			$('#refresh-content').append(Views.tmpl.consultDetailFloorView({
				consults: consults,
				imgUrl: IMG_SMALL_URL
			}));
			$('#text-content').removeAttr('placeholder');
			view.scrollToEndDialog();
		};
		DataExchange.addFollowUpConsult(opt).done(ajaxDoneHandler);
	}
};
Callback.imgUploadedFail = function () {
	Widget.popupToast('图片发送失败');
//    $(".display-image-wrapper img").remove();
};
// Called when a photo is successfully retrieved
//
function onPhotoURISuccess1(imageURI) {
	// Uncomment to view the image file URI
	var opt1 = {
		file: imageURI,
		url: WEB_URL_R + "/image",
		data: {
			app: 'soft-consult'
		},
		onSuccess: 'imgUploadedSuccess',
		onError: 'imgUploadedFail'
	};
	Views.consultDetailView.localImgPath = imageURI;
	FSManager.upload(opt1);
}

// A button will call this function
//
function capturePhoto() {
	// Take picture using device camera and retrieve image as base64-encoded string
	navigator.camera.getPicture(onPhotoDataSuccess, onFail, {
		quality: 35,
		destinationType: destinationType.DATA_URL,
		allowEdit : true,
		targetWidth: 100,
		targetHeight: 100,
		correctOrientation: true
	});
}

// A button will call this function
//
function capturePhotoEdit() {
	// Take picture using device camera, allow edit, and retrieve image as base64-encoded string
	navigator.camera.getPicture(onPhotoDataSuccess, onFail, {
		quality: 35,
		allowEdit : true,
		targetWidth: 100,
		targetHeight: 100,
		destinationType: destinationType.DATA_URL
	});
}

// A button will call this function
//
function getPhoto(source) {
	// Retrieve image file location from specified source
	if(mobile_system == 'android'){
		navigator.camera.getPicture(onPhotoURISuccess1, onFail, {
			quality: 50,
			destinationType: navigator.camera.DestinationType.FILE_URI,
			sourceType: source,
			correctOrientation: true,
			saveToPhotoAlbum: (source == pictureSource.CAMERA ? true : false),
//			allowEdit : true,//如果发现传图崩溃，尝试把这个属性加上
			targetWidth: 500,
			targetHeight: 500
		});
	}
	else{
		navigator.camera.getPicture(onPhotoURISuccess1, onFail, {
			quality: 50,
			destinationType: destinationType.FILE_URI,
			sourceType: source,
//			allowEdit : true,
			saveToPhotoAlbum: (source == pictureSource.CAMERA ? true : false),
			correctOrientation: true
		});


	}
}
function onFail(message) {
}

function loadDefaultImg1(img){
	var type = $(img).attr('type'), sex = $(img).attr('sex');
	switch(type){
		case "member" :
			if( sex === 'MALE' || sex === '先生' || sex === 'M')
				img.src = './themes/images/default/male.png';
			else if( sex === 'FEMALE' || sex === '女士' || sex === 'F')
				img.src = './themes/images/default/female.png';
			else
				img.src = './themes/images/default/male.png';
			break;
		case "news":
			img.src = './themes/images/default/newsPic.png';
			break;
		case "doctor":
			img.src = './themes/images/default/doctor.png';
			break;
	}
}

Callback.recordVoice = function (btnId) {
	var $btn = $('#'+btnId),
		remainTime = 60,
		view = Views.consultDetailView;
	view.intervalId = setInterval(function () {
		remainTime--;
		if(remainTime>=1 && remainTime<=10){
			$('.record-count-down').text(remainTime).show();
		}
		if(remainTime == 1){
			Callback.uploadVoice(btnId);
		}
	}, 1000);

	$('.record-layer').fadeIn();
	view.startRecordTime = new Date().getTime();
	VoiceUtil.startRecord();
};
Callback.uploadVoice = function (btnId) {
	var view = Views.consultDetailView;
	var $btn = $('#'+btnId);
	$btn.removeClass('ui-btn');
	clearInterval(view.intervalId);
	view.endRecordTime = new Date().getTime();
	$('.record-layer').fadeOut();
	$('.record-count-down').hide();
	VoiceUtil.stopRecord();
};
Callback.voiceUploadedSuccess = function (r) {
	var view = Views.consultDetailView,
		duration = Math.ceil((view.endRecordTime - view.startRecordTime)/1000);
	$('.voice-board').addClass('ui-btn');
	var json = JSON.parse(r.response);
	if (json.success) {
		var floorViewTmpl = Views.tmpl.consultDetailFloorView;
		var opt = {
			sessionId: $('#i-session-id').val(),
			sendBy: 'P',
			type: 'A',
			content: json.data + ';' + duration,
			sendTime: DateUtil.formatWithPatternDate('yyyy-mm-dd HH:ii:ss', new Date())
		};
		var ajaxDoneHandler = function (json2) {
			Widget.popupLoadingClose();
			if(json2.success){
				Widget.popupToast('语音发送成功');
				(function render(){
					var view = Views.consultDetailView;
					var consults = [{
						id: $('#i-session-id').val(),
						sessionId: this.id,
						sendBy: 'P',
						sex:  $('#zixun_name').attr('member-sex'),
						peopleId: UserProfile.id,
						msgId: json2.data,
						type: 'A',
						content: view.localVoicePath + ';' + duration,
						audioName: view.localVoicePath,
						duration: duration,
						attachedData: '',
						playPattern: mobile_system == 'android' ? 'android' : 'cordova',// 安卓录制并保存在本地
						sendTime: DateUtil.formatWithPatternDate('yyyy-mm-dd HH:ii', new Date())
					}];
					$('#refresh-content').append(floorViewTmpl({
						consults: consults,
						imgUrl: IMG_SMALL_URL
					}));
					$('#text-content').removeAttr('placeholder');
					view.scrollToEndDialog();
				})();
			}
			else{
				Widget.popupToast('语音发送失败');
			}
		}
		DataExchange.addFollowUpConsult(opt).done(ajaxDoneHandler);

	} else {
		Widget.popupLoadingClose();
		Widget.popupToast('语音发送失败');
	}
};
Callback.voiceUploadedFail = function () {
	var view = Views.consultDetailView;
	$('.voice-board').addClass('ui-btn');// 防止上一次60秒到期后，自动把该值清空
	Widget.popupLoadingClose();
	Widget.popupToast('语音发送失败');
};
Callback.displayVoiceMode = function (btnId) {
	$('#'+btnId).hide()
		.siblings('.text').hide()
		.siblings('.send-btn').hide()
		.siblings('.keyboard-btn').show()
		.siblings('.voice-board').show()
		.siblings('.camera-btn').show();
};
Callback.displayTextMode = function (btnId) {
	var $btn = $('#'+btnId);
	$btn.hide();
	$btn.siblings('.keyboard-btn').hide();
	$btn.siblings('.voice-board').hide();
	$btn.siblings('.camera-btn').hide();
	$btn.siblings('.voice-btn').show();
	$btn.siblings('.text').show();
	$btn.siblings('.send-btn').show();
};
Callback.playVoice = function (btnId) {
	var $btn = $('#'+btnId),
		pattern = $btn.attr('play-pattern'),
		src = $btn.attr('data-rel'),
		duration = $btn.attr('duration'),
		view = Views.consultDetailView;

	function imitatePlayerStyle() {
		if(view.lastVoicePlayBtnId){
			var $lastBtn = $('#'+view.lastVoicePlayBtnId),
				intervalId = $lastBtn.attr('interval-id');
			clearInterval(intervalId);
			$lastBtn.removeClass('voice1 voice2').addClass('voice3').removeAttr('interval-id');
		}
		view.lastVoicePlayBtnId = btnId;
		var i = 0,
			slice = 500,
			styles = ['voice1', 'voice2', 'voice3'];
		var intervalId = setInterval(function () {
			var fragment = slice * i;
			if(fragment >= duration*1000){
				$btn.removeClass('voice1 voice2').addClass('voice3');
				clearInterval(intervalId);
			}
			else{
				$btn.addClass(styles[i%3]).removeClass(styles[(i+1)%3]).removeClass(styles[(i+2)%3]);
			}
			i++;
		}, slice);
		$btn.attr('interval-id', intervalId);
	}
	imitatePlayerStyle();
	VoiceUtil.playRecord(src, pattern);
};

Callback.toggleCameraArea = function (btnId) {
	$('.camera-choice').toggle();
};

Callback.showCommentDetailView = function (btnId) {
	var toView = Views.commentDetailView,
		currViewTmpl = StageManager.getCurrentView().options.tmpl,
		$btn = $('#'+btnId);
	if(currViewTmpl == Views.consultDetailView.options.tmpl){
		// 从咨询详情列表里面，点击进入评价详情
		toView.serviceType = $('#i-service-type').val();
		toView.id = toView.serviceType == 'F' ? $('#i-ref-id').val() : $('#i-session-id').val();
		toView.fromSource = 0;
		toView.btnHtml = '';
		var $jqEls = $('input[type="hidden"]');
		for(var i=0; i<$jqEls.length; i++){
			toView.btnHtml += $jqEls[i].outerHTML;
		}
	}
	else if(currViewTmpl == Views.drDoctorDetailView.options.tmpl
		|| currViewTmpl == Views.drCommentListView.options.tmpl){
		// 从医生详情和医生所有类型评论列表，点击进入评价详情
		toView.id = $btn.attr('data-rel');
		toView.serviceType = $btn.attr('service-type');
		toView.fromSource = 1;
		toView.btnHtml = '';
	}
	else if(currViewTmpl == Views.drPrivateDrView.options.tmpl
		|| currViewTmpl == Views.drTelephoneConsultView.options.tmpl
		|| currViewTmpl == Views.drTeletextConsultView.options.tmpl){
		// 从专项服务评论列表，点击进入评价详情
		toView.id = $btn.attr('data-rel');
		toView.serviceType = $btn.attr('service-type');
		toView.fromSource = 2;
		toView.btnHtml = $('#pay-btn')[0].outerHTML;
	}
	StageManager.pushView(toView);
};

Views.commentDetailView = $.extend({}, Views.PanelView, {
	id: 0,
	serviceType: null,
	// fromSource：0表示普通进入（如从咨询详情页底部进入），不显示任何按钮；
	// 1表示从医生详情页面或更多进入的评价详情页需增加“我要问医生”按钮；
	// 2表示从专项服务详情页进入的评价详情页需增加“立即购买”按钮。
	fromSource: 0,
	btnHtml: '',//由前面页面带入的购买按钮信息，方便调用
	options: {
		tmpl: 'commentDetailView',
		name: '评价详情'
	},

	willShow: function(ct) {
		this.loadData(ct);
	},
	loadData: function (ct) {
		var self = this;
		var ajaxDoneHandler1 = function (json1) {
			if(json1.success){
				var ajaxDoneHandler2 = function (json2) {
					if(json2.success){
						var renderData = {
							detail: json1.data,
							follow: json2.data,
							fromSource: self.fromSource,
							btnHtml: self.btnHtml
						};
						self.render(ct, renderData);
						self.viewScrollerInit(ct.find('.ui-page-body'));
					}
				};
				var options2 = {
					patientId: UserProfile.id,
					doctorId: json1.data.doctorId
				}
				if(UserProfile.loginState){
					DataExchange.isFollowedDoctor(options2).done(ajaxDoneHandler2);
				}
				else{
					self.render(ct, {detail: json1.data, follow: false, fromSource: self.fromSource, btnHtml: self.btnHtml});
					self.viewScrollerInit(ct.find('.ui-page-body'));
				}
			}
		};
		var options1 = {
			refId: self.id,
			serviceType: self.serviceType
		};
		DataExchange.getDrCommentDetail(options1).done(ajaxDoneHandler1);
	},
	didHide: function () {
		this.viewScrollerDestroy();
	}
});

Callback.commentBackToConsult = function (btnId) {
	var toView = Views.consultDetailView;
	toView.prepareData = {
		sessionId: $('#i-session-id').val(),
		doctorId: $('#i-doctor-id').val(),
		familyDoctorRelId: $('#i-ref-id').val(),
		serviceType: $('#i-service-type').val()
	};
	Callback.pageBack();
};

Callback.toggleHiddenDrIntro = function (btnId) {
	var $btn = $('#'+btnId),
		$ele = $btn.siblings('.detail');
	if ($ele.hasClass('hidden')) {
		$btn.removeClass('detail-arrow-bottom').addClass('detail-arrow-top');
		$ele.removeClass('hidden');
		if($btn.siblings('.detail').height()<=54){
			Widget.popupToast('没有更多医生简介', null, 1000);
			$btn.remove();
		}
	}
	else {
		$btn.addClass('detail-arrow-bottom').removeClass('detail-arrow-top');
		$ele.addClass('hidden');
	}
};